import pandas as pd


def get_biber_feature_df() -> pd.DataFrame:
    return pd.DataFrame({
        'Category': {'Words': 'General text properties',
                     'AWL': 'General text properties',
                     'TTR': 'General text properties',
                     'LDE': 'General text properties',
                     'FV': 'General text properties',
                     'JJAT': 'Adjectives',
                     'JJPR': 'Adjectives',
                     'FREQ': 'Adverbials',
                     'PLACE': 'Adverbials',
                     'TIME': 'Adverbials',
                     'RB': 'Adverbials',
                     'POS': 'Determinatives',
                     'DT': 'Determinatives',
                     'QUAN': 'Determinatives',
                     'CD': 'Determinatives',
                     'DEMO': 'Determinatives',
                     'ELAB': 'Discourse organisation',
                     'CC': 'Discourse organisation',
                     'CUZ': 'Discourse organisation',
                     'CONC': 'Discourse organisation',
                     'COND': 'Discourse organisation',
                     'DMA': 'Discourse organisation',
                     'FPUH': 'Discourse organisation',
                     'WHQU': 'Discourse organisation',
                     'QUTAG': 'Discourse organisation',
                     'YNQU': 'Discourse organisation',
                     'THRC': 'Discourse organisation',
                     'THSC': 'Discourse organisation',
                     'THATD': 'Discourse organisation',
                     'WHSC': 'Discourse organisation',
                     'NN': 'Lexis',
                     'NCOMP': 'Lexis',
                     'EMO': 'Lexis',
                     'HST': 'Lexis',
                     'URL': 'Lexis',
                     'NNMention': 'Lexis',
                     'XX0': 'Negation',
                     'IN': 'Prepositions',
                     'PP1S': 'Pronouns',
                     'PP1P': 'Pronouns',
                     'PP2': 'Pronouns',
                     'PIT': 'Pronouns',
                     'PPother': 'Pronouns',
                     'PP3m': 'Pronouns',
                     'PP3f': 'Pronouns',
                     'TPP3t': 'Pronouns',
                     'QUPR': 'Pronouns',
                     'POLITE': 'Stance-taking devices',
                     'AMP': 'Stance-taking devices',
                     'DWNT': 'Stance-taking devices',
                     'EMPH': 'Stance-taking devices',
                     'HDG': 'Stance-taking devices',
                     'EX': 'Stative forms',
                     'BEMA': 'Stative forms',
                     'SPLIT': 'Syntax',
                     'STPR': 'Syntax',
                     'CONT': 'Verb features',
                     'RP': 'Verb features',
                     'PASS': 'Verb features',
                     'PGET': 'Verb features',
                     'GTO': 'Verb features',
                     'VBD': 'Verb features',
                     'VBG': 'Verb features',
                     'VBN': 'Verb features',
                     'VIMP': 'Verb features',
                     'VPRT': 'Verb features',
                     'PEAS': 'Verb features',
                     'PROG': 'Verb features',
                     'HGOT': 'Verb features',
                     'DOAUX': 'Verb semantics',
                     'MDNE': 'Verb semantics',
                     'MDCA': 'Verb semantics',
                     'MDCO': 'Verb semantics',
                     'MDMM': 'Verb semantics',
                     'MDWS': 'Verb semantics',
                     'MDWO': 'Verb semantics',
                     'ABLE': 'Verb semantics',
                     'JJATDother': 'Adjective semantics',
                     'JJCOLR': 'Adjective semantics',
                     'JJEPSTother': 'Adjective semantics',
                     'JJEVAL': 'Adjective semantics',
                     'JJREL': 'Adjective semantics',
                     'JJSIZE': 'Adjective semantics',
                     'JJTIME': 'Adjective semantics',
                     'JJTOPIC': 'Adjective semantics',
                     'RATT': 'Adverb semantics',
                     'RFACT': 'Adverb semantics',
                     'RLIKELY': 'Adverb semantics',
                     'RNONFACT': 'Adverb semantics',
                     'SUPER': 'Lexis',
                     'COMPAR': 'Lexis',
                     'NNABSPROC': 'Noun semantics',
                     'NNCOG': 'Noun semantics',
                     'NNCONC': 'Noun semantics',
                     'NNGRP': 'Noun semantics',
                     'NNHUMAN': 'Noun semantics',
                     'NNPLACE': 'Noun semantics',
                     'NNQUANT': 'Noun semantics',
                     'NNTECH': 'Noun semantics',
                     'NOMZ': 'Noun semantics',
                     'NNP': 'Noun semantics',
                     'NSTNCother': 'Noun semantics',
                     'ThJATT': 'Syntax',
                     'ThJEVL': 'Syntax',
                     'ThJFCT': 'Syntax',
                     'ThJLIK': 'Syntax',
                     'ThNATT': 'Syntax',
                     'ThNFCT': 'Syntax',
                     'ThNLIK': 'Syntax',
                     'ThNNFCT': 'Syntax',
                     'ThVATT': 'Syntax',
                     'ThVCOMM': 'Syntax',
                     'ThVFCT': 'Syntax',
                     'ThVLIK': 'Syntax',
                     'VATTother': 'Syntax',
                     'ToJABL': 'Syntax',
                     'ToJCRTN': 'Syntax',
                     'ToJEASE': 'Syntax',
                     'ToJEFCT': 'Syntax',
                     'ToJEVAL': 'Syntax',
                     'ToVDSR': 'Syntax',
                     'ToVEFRT': 'Syntax',
                     'ToVMNTL': 'Syntax',
                     'ToVPROB': 'Syntax',
                     'ToVSPCH': 'Syntax',
                     'WhVATT': 'Syntax',
                     'WhVCOM': 'Syntax',
                     'WhVFCT': 'Syntax',
                     'WhVLIK': 'Syntax',
                     'ToNSTNC': 'Syntax',
                     'PrepNSTNC': 'Syntax',
                     'ACT': 'Verb semantics',
                     'ASPECT': 'Verb semantics',
                     'CAUSE': 'Verb semantics',
                     'COMM': 'Verb semantics',
                     'EXIST': 'Verb semantics',
                     'MENTAL': 'Verb semantics',
                     'OCCUR': 'Verb semantics',
                     'VCOMMother': 'Verb semantics',
                     'VFCTother': 'Verb semantics',
                     'VLIKother': 'Verb semantics',
                     'PP1': 'Pronouns',
                     'PP3': 'Pronouns',
                     'MDPOSSCall': 'Verb semantics',
                     'MDPREDall': 'Verb semantics',
                     'PASSall': 'Verb features',
                     'RSTNCall': 'Adverb semantics',
                     'ThJSTNCall': 'Syntax',
                     'ThNSTNCall': 'Syntax',
                     'ThSTNCall': 'Syntax',
                     'ThVSTNCall': 'Syntax',
                     'ToJSTNCall': 'Syntax',
                     'ToSTNCall': 'Syntax',
                     'ToVSTNCall': 'Syntax',
                     'WhVSTNCall': 'Syntax',
                     'INother': 'Prepositions',
                     'JJATother': 'Adjectives',
                     'JJPRother': 'Adjectives',
                     'NNother': 'Nouns',
                     'RBother': 'Adverbs',
                     'THRCother': 'Discourse organisation',
                     'THSCother': 'Discourse organisation',
                     'WHSCother': 'Discourse organisation',
                     'FW': 'Lexis',
                     'SYM': 'Lexis',
                     'TO': 'Verb features',
                     'VB': 'Verb features',
                     'WQ': 'Syntax',
                     'BEAUX': 'Verb semantics',
                     'LIKE': 'Discourse organisation',
                     'SO': 'Discourse organisation'},
        'Feature': {'Words': 'Total number of words',
                    'AWL': 'Average word length',
                    'TTR': 'Lexical diversity',
                    'LDE': 'Lexical density',
                    'FV': 'Finite verbs',
                    'JJAT': 'Attributive adjectives',
                    'JJPR': 'Predicative adjectives',
                    'FREQ': 'Frequency references',
                    'PLACE': 'Place references',
                    'TIME': 'Time references',
                    'RB': 'Other adverbs',
                    'POS': 's-genitives',
                    'DT': 'Determiners',
                    'QUAN': 'Quantifiers',
                    'CD': 'Numbers',
                    'DEMO': 'Demonstrative pronouns and articles',
                    'ELAB': 'Elaborating conjunctions',
                    'CC': 'Coordinating conjunctions',
                    'CUZ': 'Causal conjunctions',
                    'CONC': 'Concessive conjunctions',
                    'COND': 'Conditional conjunctions',
                    'DMA': 'Discourse/pragmatic markers',
                    'FPUH': 'Filled pauses and interjections',
                    'WHQU': 'Direct WH-questions',
                    'QUTAG': 'Question tags',
                    'YNQU': 'Yes/no questions',
                    'THRC': 'that relative clauses',
                    'THSC': 'that subordinate clauses (other than relatives)',
                    'THATD': 'Subordinator that omission',
                    'WHSC': 'WH subordinate clauses',
                    'NN': 'Total nouns (including proper nouns)',
                    'NCOMP': 'Noun compounds',
                    'EMO': 'Emoji and emoticons',
                    'HST': 'Hashtags',
                    'URL': 'URL and e-mail addresses',
                    'NNMention': '@mentions',
                    'XX0': 'Negation',
                    'IN': 'Prepositions',
                    'PP1S': 'Reference to the speaker/writer',
                    'PP1P': 'Reference to the speaker/writer and other(s)',
                    'PP2': 'Reference to  addressee(s)',
                    'PIT': 'it pronoun reference',
                    'PPother': 'Any personal pronoun not included in the other categories',
                    'PP3m': 'Single, male third person reference',
                    'PP3f': 'Single, female third person reference',
                    'TPP3t': 'Reference to more than one non-interactant and single they reference',
                    'QUPR': 'Quantifying pronouns',
                    'POLITE': 'Politeness markers',
                    'AMP': 'Amplifiers',
                    'DWNT': 'Downtoners',
                    'EMPH': 'Emphatics',
                    'HDG': 'Hedges',
                    'EX': 'Existential there',
                    'BEMA': 'Be as main verb',
                    'SPLIT': 'Split auxiliaries and infinitives',
                    'STPR': 'Stranded prepositions',
                    'CONT': 'Verbal contractions',
                    'RP': 'Particles',
                    'PASS': 'BE-passives',
                    'PGET': 'GET-passives',
                    'GTO': 'Going to constructions',
                    'VBD': 'Past tense',
                    'VBG': 'Non-finite verb -ing forms',
                    'VBN': 'Non-finite -ed verb forms',
                    'VIMP': 'Imperatives',
                    'VPRT': 'Present tense',
                    'PEAS': 'Perfect aspect',
                    'PROG': 'Progressive aspect',
                    'HGOT': 'HAVE got constructions',
                    'DOAUX': 'DO auxiliary',
                    'MDNE': 'Necessity modals',
                    'MDCA': 'Modal can',
                    'MDCO': 'Modal could',
                    'MDMM': 'Modals may and might',
                    'MDWS': 'will and shall modals',
                    'MDWO': 'modal would',
                    'ABLE': 'be able to',
                    'JJATDother': 'Attitudinal adjectives without a that clause after',
                    'JJCOLR': 'Adjectives related to color',
                    'JJEPSTother': 'Epistemic adjectives without a that clause after',
                    'JJEVAL': 'Evaluative adjectives',
                    'JJREL': 'Relational adjectives',
                    'JJSIZE': 'Size related adjectives',
                    'JJTIME': 'Time related adjectives',
                    'JJTOPIC': 'Topical adjectives',
                    'RATT': 'Attitudinal adverbs',
                    'RFACT': 'Factive adverbs',
                    'RLIKELY': 'Adverbs of likelihood',
                    'RNONFACT': 'Non factive adverbs',
                    'SUPER': 'Superlatives',
                    'COMPAR': 'Comparatives',
                    'NNABSPROC': 'Nouns abstract and process',
                    'NNCOG': 'Nouns cognitive',
                    'NNCONC': 'Nouns concrete',
                    'NNGRP': 'Nouns group',
                    'NNHUMAN': 'Nouns human',
                    'NNPLACE': 'Nouns place',
                    'NNQUANT': 'Nouns quantity',
                    'NNTECH': 'Nouns technical',
                    'NOMZ': 'Nominalizations',
                    'NNP': 'Proper nouns',
                    'NSTNCother': 'Stance nouns without prepositions',
                    'ThJATT': 'that subordinate clauses (other than relatives) preceded by attitutidinal adjectives',
                    'ThJEVL': 'that subordinate clauses (other than relatives) preceded by  adjectives of evaluation',
                    'ThJFCT': 'that subordinate clauses (other than relatives) preceded by factive adjectives',
                    'ThJLIK': 'that subordinate clauses (other than relatives) preceded by likelihood adjectives',
                    'ThNATT': 'that subordinate clauses (relative clauses) preceded by attitudinal nouns',
                    'ThNFCT': 'that subordinate clauses (relative clauses) preceded by factive nouns',
                    'ThNLIK': 'that subordinate clauses (relative clauses) preceded by likelihood nouns',
                    'ThNNFCT': 'that subordinate clauses (relative clauses) preceded by non factive nouns',
                    'ThVATT': 'that subordinate clauses (other than relatives)  preceded by attitutidinal verbs',
                    'ThVCOMM': 'that subordinate clauses (other than relatives) preceded by communicative verbs',
                    'ThVFCT': 'that subordinate clauses (other than relatives)   preceded by factive verbs',
                    'ThVLIK': 'that subordinate clauses (other than relatives)  preceded by likelihood verbs',
                    'VATTother': 'mental/attitudinal verbs in other contexts',
                    'ToJABL': 'to clauses preceded by ability adjectives',
                    'ToJCRTN': 'to clauses preceded by certainty adjectives',
                    'ToJEASE': 'to clauses preceded by adjectives of ease',
                    'ToJEFCT': 'to clauses preceded by factive adjectives',
                    'ToJEVAL': 'to clauses preceded by evaluative adjectives',
                    'ToVDSR': 'to clauses preceded by verbs of desire',
                    'ToVEFRT': 'to clauses preceded by verbs of effort',
                    'ToVMNTL': 'to clauses preceded by mental verbs',
                    'ToVPROB': 'to clauses preceded by verbs of probability',
                    'ToVSPCH': 'to clauses preceded by verbs of speech',
                    'WhVATT': 'WH subordinate clauses preceded by attitudinal verbs',
                    'WhVCOM': 'WH subordinate clauses preceded by communicative verbs',
                    'WhVFCT': 'WH subordinate clauses preceded by factive verbs',
                    'WhVLIK': 'WH subordinate clauses preceded by likelihood verbs',
                    'ToNSTNC': 'to clauses preceded by stance nouns',
                    'PrepNSTNC': 'Prepositions preceded by stance nouns',
                    'ACT': 'Activity verbs',
                    'ASPECT': 'Aspectual verbs',
                    'CAUSE': 'Facilitation and causative verbs',
                    'COMM': 'Communication verbs',
                    'EXIST': 'Existential or relationship verbs',
                    'MENTAL': 'Mental verbs',
                    'OCCUR': 'Occurrence verbs',
                    'VCOMMother': 'communicaton verbs in other contexts',
                    'VFCTother': 'factive verbs in other contexts',
                    'VLIKother': 'likelihood verbs in other contexts',
                    'PP1': 'All first person references',
                    'PP3': 'All third person references',
                    'MDPOSSCall': 'All modals of possibility',
                    'MDPREDall': 'All modals of prediction',
                    'PASSall': 'All be and get passives',
                    'RSTNCall': 'All adverbs related to stance',
                    'ThJSTNCall': 'All that complement clauses preceded by stance adjectives',
                    'ThNSTNCall': 'All that complement clauses preceded by stance nouns',
                    'ThSTNCall': 'All that complement clauses preceded by stance adjectives, nouns, and verbs',
                    'ThVSTNCall': 'All that complement clauses preceded by stance verbs',
                    'ToJSTNCall': 'All to infinitive clauses preceded by stance adjectives',
                    'ToSTNCall': 'All to infinitive clauses preceded by stance adjectives, nouns, and verbs',
                    'ToVSTNCall': 'All to infinitive clauses preceded by stance verbs',
                    'WhVSTNCall': 'All WH complement clauses preceded by stance verbs',
                    'INother': 'Prepositions having no additional tag',
                    'JJATother': 'Attributive adjectives having no additional tag',
                    'JJPRother': 'Predicative adjectives having no additional tag',
                    'NNother': 'Nouns having no additional tag',
                    'RBother': 'Adverbs having no additional tag',
                    'THRCother': 'that relative clauses not preceded by a stance noun',
                    'THSCother': 'that complement clauses not preceded by a stance adjective or verb',
                    'WHSCother': 'WH complement clauses not preceded by a stance verb',
                    'FW': 'Foreign words',
                    'SYM': 'Symbols',
                    'TO': 'to-infinitives',
                    'VB': 'Verb base form',
                    'WQ': 'Question starting with a WH-word',
                    'BEAUX': 'BE as an auxilliary verb',
                    'LIKE': 'Like',
                    'SO': 'So'},
        'Examples': {'Words': "It's a shame that you'd have to pay to get that quality. (= 14)",
                     'AWL': "It's a shame that you'd have to pay to get that quality. (42/12 = 3.50)",
                     'TTR': "It's a shame that you'd have to pay to get that quality. (12/14 = 0.85)",
                     'LDE': "It's a shame that you'd have to pay to get that quality. (3/14 = 0.21)",
                     'FV': 'He discovered that the method involved imbiding copious amounts of tea. Ants can survive by joining together to morph into living rafts. Always wanted to experience the winter wonderland that Queen Elsa created?',
                     'JJAT': 'I’ve got a fantastic idea! I didn’t sleep at all last night. Cheap, quick and easy fix!',
                     'JJPR': 'That’s right. One of the main advantages of being famous... It must be absolutely wonderful.',
                     'FREQ': 'We should always wear a mask. But he had found his voice again.',
                     'PLACE': 'It’s not far to go. I’ll get it from upstairs. It’s downhill all the way. It’s there not here.',
                     'TIME': "It will soon be possible. Now is the time. I haven't come across any issues yet.",
                     'RB': 'Unfortunately that’s the case. Exactly two weeks. He could so easily but he knows better. He’s still gonna come back.',
                     'POS': 'the world’s two most populous country, my parents’ house',
                     'DT': 'Is that a new top? The first line has to be interesting. Are they both Spice Girls? On either side of the page. To another room. They’re five pounds each.',
                     'QUAN': 'Such a good time in like half an hour. She’s got all these great ideas. It happens each and every time.',
                     'CD': "That's her number one secret. Two eyes glowed just above the surface. It happened on 7 February, 2019.",
                     'DEMO': 'What are you doing this weekend? I love that film. Whoever did that should admit it.',
                     'ELAB': 'Similarly, you may, for example, write bullet points insomuch as it helps you to focus your ideas.',
                     'CC': "Instead of listening to us, he also told John and Jill but at least his parents don't know yet.",
                     'CUZ': 'He was scared because of the costume. Yeah coz he hated it.',
                     'CONC': 'Even though the antigens are normally hidden...',
                     'COND': 'If I were you... Even if the treatment works...',
                     'DMA': 'Well no they didn’t say actually. Okay I guess we’ll see how things go right?',
                     'FPUH': 'Oh noooooo, Tiger’s furious! Wow! Hey Tom! Er I don’t know. Hmm.',
                     'WHQU': 'What’s happening? Why don’t we call the game off? How? And who is Dinah, if I might venture to ask the question?',
                     'QUTAG': 'Do they? Were you? It’s just it’s repetitive, isn’t it?',
                     'YNQU': 'Have you thought about giving up? May I take a seatposters day? Do you mind?',
                     'THRC': "You must be very clever to find a use for something that costs nothing. I'll just run a cable that goes from here to there.",
                     'THSC': 'Did you know that the calendar we use today was started by Julius Caesar? She resented being told constantly that she was ignorant and stupid.',
                     'THATD': "I mean [THATD] you’ll do everything. I thought [THATD] he just meant our side. You don’t think [THATD] he’s a drug dealer? I know [THATD] that's not his thing.",
                     'WHSC': 'I’m thinking of someone who is not here today. Do you know whether the banks are open?',
                     'NN': 'a cut, my coat, the findings, cruelty, comprehension, on Monday 6 Aug, the U.S., on the High Street',
                     'NCOMP': 'Surely this stone must be the last one to cover the dungeon entrance! Experts say that the rare winter phenomenon is a natural occurrence.',
                     'EMO': '😍 🥰 🌈 :-( :DD XD :)',
                     'HST': '#phdlife #Buy1Get1Free',
                     'URL': 'www.faz.net https://twitter.com elefoll@uos.de ',
                     'NNMention': '@ElenLeFoll @mshakir_Dr',
                     'XX0': 'Why don’t you believe me? There is no way that’s happening any time soon. Nor am I.',
                     'IN': 'The Great Wall of China is the longest wall in the world. There are towers along the wall. I prefer to go to an art gallery. The objects on display are from all over the world.',
                     'PP1S': 'I don’t know. It isn’t my problem. ',
                     'PP1P': 'We were told to deal with it ourselves.',
                     'PP2': 'If your model was good enough, you’d be able to work it out.',
                     'PIT': 'It fell and broke. I implemented it. Its impact has not yet been researched.',
                     'PPother': 'One would hardly suppose that your eye was as steady as ever.',
                     'PP3m': 'He is beginning to form his own opinions. ',
                     'PP3f': "She does tend to keep to herself, doesn't she?",
                     'TPP3t': "The text allows readers to grapple with their own conclusions. I wouldn't trust them.",
                     'QUPR': 'said Alice aloud, addressing nobody in particular.',
                     'POLITE': 'Can you open the window, please? Would you mind giving me a hand? I was wondering whether you could help.',
                     'AMP': 'I am very tired. They were both thoroughly frightened.',
                     'DWNT': 'These tickets were only 45 pounds. It’s almost time to go.',
                     'EMPH': "I do wish I hadn't drunk quite so much. Oh really? I just can’t get my head around it.",
                     'HDG': "There seemed to be no sort of chance of getting out. I wish that kind of thing never happened. She's maybe gonna do it.",
                     'EX': 'There are students. And there is now a scholarship scheme.',
                     'BEMA': 'It was nice to just be at home. She’s irreplaceable. It’s best I think. How was your mum on Sunday? It’s not long.',
                     'SPLIT': 'I would actually drive. You can just so tell. I can’t ever imagine arguing with Jill. ',
                     'STPR': "We've got more than can be accounted for. Open the door and let them in. Where is it from? It's not the sort of music we're into.",
                     'CONT': 'I don’t know. It isn’t my problem. You’ll have to deal with it.',
                     'RP': 'I’ll look it up. It’s coming down. When will you come over? Some of the birds hurried off at once.',
                     'PASS': 'He must have been burgled. They need to be informed. He was found out. When were they arrested?',
                     'PGET': 'He’s gonna get sacked. She’ll get me executed. It gets done all the time.',
                     'GTO': "I’m not gonna go. You're going to absolutely love it there! Gonna come along?",
                     'VBD': 'It fell and broke. I implemented it. If I were rich.',
                     'VBG': 'He texted me saying no. He just started laughing. I remember thinking about that.',
                     'VBN': 'These include cancers caused by viruses. Our content is grouped into sections called topics. Have you read any of the books mentioned in the blog?',
                     'VIMP': "Let me know! Read the website and write the names of the characters. In groups, share your opinion. Always do as you're told!",
                     'VPRT': 'It’s ours. Who doesn’t love it? I know.',
                     'PEAS': "Have you been on a student exchange? She’d already seen it. He has been told before. Is this the last novel you've read?",
                     'PROG': 'He wasn’t paying attention. I’m going to the market. I’m guessing you’re not going to be alone. I must be getting home.',
                     'HGOT': 'He’s got some. I haven’t got any.',
                     'DOAUX': "Should take longer than it does. Ah you did. She needed that house, didn't she? You don’t really pay much attention, do you? Who did not already love him.",
                     'MDNE': 'I really must go. Shouldn’t you be going now? You need not have worried. Everybody needed to be needed.',
                     'MDCA': "Can I give him a hint? You cannot. I can't believe it! ",
                     'MDCO': 'Do you think someone could have killed her? Well, that could be the problem. Could you do it by Friday?',
                     'MDMM': 'May I have a word with you? But it might not be enough.',
                     'MDWS': 'It won’t do. Yes it will. Shall we see?',
                     'MDWO': "Wouldn't you like to know? If I could afford to buy it I would. I'd like to think it works.",
                     'ABLE': 'It should be able to speak back to you. Would you be able to? ',
                     'JJATDother': 'I was surprised when it arrived in a plastic wallet with no box. Excellent condition, very happy with the price I paid.',
                     'JJCOLR': 'She had luxuriously long black hair, a sprinkle of freckles on her pure white cheecks beneath deep-pool green eyes and the most dazzling smile I had ever seen.',
                     'JJEPSTother': 'Tell me the true story then. Possible but unlikely. Lucie looked doubtful. Her voice was clear and confident.',
                     'JJEVAL': 'She was fine when she left them, she looked great. The documentary itself was good, but it made for a very bad watching experience.',
                     'JJREL': 'They were very different people. Her original suggestion was bad enough. Keeping myself distracted is top priority.',
                     'JJSIZE': "The door was huge and heavy. It's a long story. Can you do me a small favour?",
                     'JJTIME': 'The club holds ist annual meeting next Wednesday. Do you remember the days when old people looked like old people? A recent big win has given them more confidence.',
                     'JJTOPIC': "He's seen her medical records. It is from parents that children inherit social and political values.",
                     'RATT': "And amazingly, against all the odds, she had succeeded in doing so. 'Naturally,' Maggie agreed ironically. He would be furious, of course, and rightly so.",
                     'RFACT': "I know you are striking this Thursday so obviously you won't be there. I really enjoyed this movie. Definitely worth a watch!",
                     'RLIKELY': "A month later this apparently 'happy and contented' young lady was back in hospital. Maybe that's it. I think in nineteen eighty this was quite possibly true.",
                     'RNONFACT': "It helps with dehydration but mainly it's in case I start to feel sick. Reportedly, several people were seriously injured. I honestly don't know. The meetings are usually relaxed and informal.",
                     'SUPER': 'Its latest will the boldest yet.',
                     'COMPAR': 'A larger producer. This approach might be harder to pull off now.',
                     'NNABSPROC': 'Research indicates that these groups lack social support, experience interpersonal relationship problems and linguistic and cultural barriers in accessing services. The interviews explored the format and frequency of the sessions, the characteristics of the facilitator and the use of handouts and other session materials.',
                     'NNCOG': 'I try not to attract any attention. An understanding of the sociocultural context is essential. He has a fine memory for detail.',
                     'NNCONC': "My computer stopped playing all sound so I can't listen to any of the files. The manual is organized into nine distinct sections. This paper describes the qualitative phase of the trial.",
                     'NNGRP': 'My husband was admitted to the hospital. He puts you up in a swanky hotel. The ONS is the recognised national statistical institute for the UK.',
                     'NNHUMAN': 'Every parent knows that keeping their children safe online can be a challenging task. All tweets have been fully anonymised when they mention users who are not participants.',
                     'NNPLACE': 'This study took place in the North West of England; therefore, these results may not be generalizable to other regions. He had been forced to flee the country. I love that shop!',
                     'NNQUANT': "Could I meet with you some time next week? There was clearly no future for us. Doesn't it seem like an awful lot of trouble to go to if he's going to drown in less than a minute?",
                     'NNTECH': 'I consulted the internet. He just had good genes. The sample characteristics are described in Table 1. I was up at the first light of dawn. ',
                     'NOMZ': 'There is little empirical evidence addressing the adaption of evidence-based interventions to ensure their applicability to specific ethnic communities. His whole business was built around his good looks and personality.',
                     'NNP': 'The film is a reference to American Pie by Don Maclean and shows how domestic America fares a lot less well than we in the UK think they do.',
                     'NSTNCother': "I had no idea. We're his last hope. He had jumped to the conclusion that she had died.",
                     'ThJATT': 'Shiona was unaware that her jaw had dropped open. I was disappointed that we lost. I am so glad that you have come.',
                     'ThJEVL': 'It seems odd that La Salle does not make more of those occasions. It was lucky that there was a large fish market nearby.',
                     'ThJFCT': "It was inevitable that they should suppress their mutual distrust. Is it false that he is doing something? They will make sure that the area's clear.",
                     'ThJLIK': "This makes it unlikely that such a fund will be established. Doubtful that you'd get in anywhere.",
                     'ThNATT': 'A tiny flame of hope that Luce had never even acknowledged flickered and died as his words. Taken in isolation, it is a view that might be easily dismissed as trivial sentimentality.',
                     'ThNFCT': "It's the practical knowledge that is far more important than the academic. 'Precisely the conclusion that John arrived at,' said Byron. There are certain general observations that might favour the predator argument.",
                     'ThNLIK': 'It was a feeling that I never had until that nice little man got out of a strange aeroplane. These are claims that have actually been supported by empirical sociolinguistic research.',
                     'ThNNFCT': 'The comments that follow are intended to help in learning to identify and reject unusable answers. I have a piece of news that I think will interest you.',
                     'ThVATT': 'I disappeared several times, pretending that I had to deal with a customer. Oh, how she wished that Cara was here!',
                     'ThVCOMM': 'One might argue that he was drowning his sorrows. Rahman states that an understanding of the sociocultural context is essential for culturally-adapted interventions. Some participants reported that completing the between-session work at home was not always a practical option.',
                     'ThVFCT': "He didn't know that I was going to these classes. I was ready to prove that I could do things off my own bat. I suddenly realised that I'd said it out loud.",
                     'ThVLIK': 'I believed that if I looked pathetic enough for long enough, somebody else would do it for me. I imagined that she was back in her bedroom.',
                     'VATTother': "Some patients are admitted straight from the outpatient clinic because they require immediate attention. Leith wouldn't have minded going to bed. It is time to stop pretending.",
                     'ToJABL': "She gulped, unable to continue speaking. I'm inclined to believe you. They debated unhappily, reluctant to commit themselves to an opinion.",
                     'ToJCRTN': 'I always make sure to have a big bottle of water with me. Here is something guaranteed to fill you up!',
                     'ToJEASE': 'This information was not difficult to find. The story is easy to follow.',
                     'ToJEFCT': "I felt glad to have landed on this planet. Too worried to eat, I sat there thinking hard about my situation. She wasn't ashamed to admit it.",
                     'ToJEVAL': "Well, nice to meet you all. It was reasonable to assume that she would not look like a dog's dinner. It'll be interesting to see if he makes it into the team.",
                     'ToVDSR': 'She wanted to look her best. There was no indication that she was planning to take flight. I decided to think of it as an investment.',
                     'ToVEFRT': "Isn't a girl allowed to be a teensy-weensy bit jealous? When I tried to talk to him about his work, he never quite managed to answer any of my questions.",
                     'ToVMNTL': "Mushy peas are believed to have originated in the North. He never learnt to drive. Sorry, I forgot to tell you. I didn't expect to see you here.",
                     'ToVPROB': 'She seems to like you. I appeared to be suffering a stroke. Scientists tend to express their ideas in the form of equations.',
                     'ToVSPCH': 'They were accusing him of claiming to be God. Most trivial arguments are said to be based on matters of principle. All children should be taught to swim.',
                     'WhVATT': "We'd had six months of worrying whether everything was going to be all right. Don't forget who you're talking to here. But now she feared what he might do.",
                     'WhVCOM': 'Let me explain why I took Pearl for coffee. She asked what he was selling. I hope Carol has explained how everything works?',
                     'WhVFCT': "I don't know why I bother. He had not noticed how dark it was getting. Learn when your boss is most receptive and approach her then.",
                     'WhVLIK': "I can well imagine what it is. Just guess who's come to pay you a little visit! Meredith speculated whether or not her dinner guest would go to her funeral.",
                     'ToNSTNC': "There's no obligation to buy. I was delighted to have the opportunity to meet and work with Paul. And you have no plans to go back into general nursing?",
                     'PrepNSTNC': "Everybody has different views on what they think is right. The pilot ignores the possibility of something going wrong. I've no second thoughts about staying on as captain. We shall accept full responsibility for everything we do.",
                     'ACT': 'I got up and ran out. Bring your CV. Where have you worked before? I go to school.',
                     'ASPECT': 'You should just keep talking. I started early today.',
                     'CAUSE': 'He helped her escape. I pleaded with her to let me go.',
                     'COMM': 'Describe it to your partner and say why. Write a list. Say what these words mean.',
                     'EXIST': 'Weren’t they representing Jamaica? It encouraged young athletes to stay.',
                     'MENTAL': 'We want to see you tomorrow. Did you never hear back? I don’t recognize any.',
                     'OCCUR': 'Couldn’t have happened at a busier time! The cricket lasts all day.',
                     'VCOMMother': 'Why should you think I want to write books? We talked endlessly about what it might mean. Remember you once offered me a job?',
                     'VFCTother': "We're going to find her. It was a minute or two before I remembered their names. Surely tonight, she would discover the truth?",
                     'VLIKother': 'The joke was on him, we presume. To be able to hypothesise is important, to be able to evaluate findings is vital. How could she ever have doubted his motives?',
                     'PP1': 'I don’t know. It isn’t my problem. We were told to deal with it ourselves.',
                     'PP3': "She does tend to keep to herself, doesn't she? I wouldn't trust them. He is beginning to form his own opinions. ",
                     'MDPOSSCall': 'Can I give him a hint? You cannot. May I have a word with you? Could you do it by Friday?',
                     'MDPREDall': "It won’t do. Shall we see? Wouldn't you like to know? I'd like to think it works. Is it gonna rain?",
                     'PASSall': 'He must have been burgled. They need to be informed. When were they arrested? It gets done all the time.',
                     'RSTNCall': "And amazingly, against all the odds, she had succeeded in doing so. Definitely worth a watch! Maybe that's it. I think in nineteen eighty this was quite possibly true.",
                     'ThJSTNCall': 'Shiona was unaware that her jaw had dropped open. I was disappointed that we lost. It seems odd that La Salle does not make more of those occasions. It was lucky that there was a large fish market nearby. This makes it unlikely that such a fund will be established.',
                     'ThNSTNCall': 'The comments that follow are intended to help in learning to identify and reject unusable answers. It was a feeling that I never had until that nice little man got out of a strange aeroplane. ',
                     'ThSTNCall': 'One might argue that he was drowning his sorrows. I disappeared several times, pretending that I had to deal with a customer. These are claims that have actually been supported by empirical sociolinguistic research. ',
                     'ThVSTNCall': "One might argue that he was drowning his sorrows. He didn't know that I was going to these classes. I was ready to prove that I could do things off my own bat. I imagined that she was back in her bedroom.",
                     'ToJSTNCall': "I always make sure to have a big bottle of water with me. She gulped, unable to continue speaking. I'm inclined to believe you. I felt glad to have landed on this planet. ",
                     'ToSTNCall': "She wanted to look her best. There was no indication that she was planning to take flight. I decided to think of it as an investment. I'm inclined to believe you. I felt glad to have landed on this planet. There's no obligation to buy. ",
                     'ToVSTNCall': 'She wanted to look her best. There was no indication that she was planning to take flight. I decided to think of it as an investment. Mushy peas are believed to have originated in the North. He never learnt to drive. ',
                     'WhVSTNCall': "We'd had six months of worrying whether everything was going to be all right. Let me explain why I took Pearl for coffee. I don't know why I bother. ",
                     'INother': 'It has been at the heart of heritage studies for over a decade.',
                     'JJATother': 'Just like in Western European and African heritage, cultural heritage in East Asia tends to be local.',
                     'JJPRother': 'This is often related to certain aspects. This is of course unavoidable.',
                     'NNother': "I started scrabbling arond for my passport before they'd even hung up the phone. ",
                     'RBother': "You can't see the dips in the dunes so easily. The drivers have to be phenomenally fit.",
                     'THRCother': 'Counselling is a skills that we all had once. It is something that is intrinsic.',
                     'THSCother': 'They are told that if they behave in a certain way their life will work out.',
                     'WHSCother': 'I had no idea which is why this is so interesting.',
                     'FW': 'I chose turkish delight and panna cotta. Merrry christmasss! Yo im gonna love it!',
                     'SYM': "â 2 € a go. I hope so †. That's *all* they said!",
                     'TO': 'They were trying to find a solution. We like to think it’s doable. I went in there to kinda like celebrate.',
                     'VB': "She would sit and read most afternoons. What do you use it for? Ask your parents to drive you to your friend's house.",
                     'WQ': 'WHAD DID UOU SENDDDDD? Which do you use most?',
                     'BEAUX': "I'm going there on Wednesday. Because he's based in Washington. A longing for a faraway world she had been forbidden.",
                     'LIKE': 'Sounds like me. And just like his father. And he was like this isn’t true. I wasn’t gonna like do it.',
                     'SO': 'She had spent so many summers there. So there you go.'},
        'Operationalization': {
            'Words': "The number of tokens as tokenised by the Stanford Tagger, but excluding punctuation marks, brackets, symbols, genitive ‘s (POS), and filled pauses and interjections (FPUH). Contractions are treated as separate words, i.e., it's is tokenised as it and 's. Note that this variable is only used to normalise the frequencies of other linguistic features.",
            'AWL': 'Total number of characters in a text divided by the number of words in that same text (as operationalised in the Words variable above, hence excluding filled pauses and interjections, cf. FPUH).',
            'TTR': 'Following Biber (1988), this feature is a type-token ratio measured on the basis of, by default, the first 400 words of each text only. It is thus the number of unique word forms within the first 400 words of each text divided by 400. This number of words can be adjusted in the command used to run the script (see instructions at the top of the MFTE script).',
            'LDE': 'For this feature, tokens which are not on the list of the 352 function words from the {qdapDictionaries} R package, nor individual letters, or any of the fillers listed in FPUH are identified as content words. Lexical density is calculated as the ratio of these content words to the total number of words in a text.',
            'FV': 'This feature is not directly listed in the MFTE output tables; however, it is used as a normalisation basis for many other linguistics features (see Normalisation column). It is calculated by tallying the number of occurrences of the following features: VPRT, VBD, VIMP, MDCA, MDCO, MDMM, MDNE, MDWO and MDWS.',
            'JJAT': 'Whereas the Biber Tagger and the MAT first identify predicative adjectives and then consider all remaining J.* tags from the Stanford Tagger to be attributive adjectives, the MFTE proceeds the other way around because it is considerably easier to reliably identify attributive adjectives than it is predicative adjectives. Thus, all adjectives (J.*, as tagged by the Stanford Tagger) followed by another adjective, a noun or a cardinal number, or preceded by a determiner are tagged as attributive adjectives. Once these first attributive adjectives have been identified, two additional loops are run to capture any additional attributive adjectives found in lists of attributive adjectives separated by commas and/or the words and and or.',
            'JJPR': 'Once attributive adjectives have been identified (see JJAT) and tagged as JJAT, all remaining JJ, JJS and JJR tags are overwritten as JJPR. BEMA immediately followed by an adjective is also tagged as JJPR, unless it occurs before a list of adjectives already identified as attributive adjectives. In addition, ok and okay in the construction BE ok(ay) are also tagged as JJPR. These words are otherwise identified as foreign words (FW) by the Stanford Tagger. ',
            'FREQ': 'Assigned to all occurrences of the frequency adverbs listed in the COBUILD (Sinclair et al. 1900: 270): usually, always, often, generally, normally, traditionally, again, constantly, continually, frequently, ever, never, infrequently, intermittently, occasionally, often, periodically, rarely, regularly, repeatedly, seldom, sometimes and sporadically as well as forever, oftentimes, once, twice, daily, weekly, monthly and yearly.',
            'PLACE': 'Biber’s (1988: 224) list of place adverbials was taken from Quirk et al. (1985: 514ff) but inexplicably excludes many from this list. Those that do not fulfil other major functions were therefore added: downwind, eastward(s), westward(s), northward(s), southward(s), upwards, downwards, elsewhere, everywhere, here, offshore, nowhere, somewhere, thereabout(s) and there (but occurrences of there tagged as existential there (EX) by the Stanford Taggers were ignored). Only occurrences of far which have not previously identified as TIME references  (e.g., so far, thus far) or emphatics  (e.g., far better, far more) are tagged as PLACE references.',
            'TIME': 'All occurrences of afterwards, again, earlier, early, eventually, forever, formerly, immediately, initially, instantly, late, lately, later, momentarily, now, nowadays, once, originally, presently, previously, recently, someday, shortly, simultaneously, subsequently, today, to-day, tomorrow, to-morrow, tonight, to-night, yesterday. Following Nini (2014: 18), the word soon was not tagged as a time adverbial when followed by the word as. Ago, already, anytime, beforehand, prior to, someday, and far (the latter only when proceeded by so or thus and not followed by an adjective or adverb), and am and pm as adverbs were added to the list, as well as yet tokens that have not previously been identified as concessives (CONC).',
            'RB': 'Corresponds to all the tokens tagged as RB, RBS, RBR or WRB by the Stanford Tagger apart from those identified as adverbs of frequency (FREQ), place (PLACE) or time (TIME), amplifiers (AMP), emphatics (EMPH), hedges (HDG) and downtoners (DWNT).',
            'POS': "As identified by the Stanford Tagger: the possessive endings on nouns ending in 's or '. Note that these tokens are not counted as Word in the computation of the lexical diversity (TTR) and average word length variables (AWL) features.",
            'DT': 'As tagged by the Stanford Tagger (DT) (Santorini 1990: 2), with the exception of that, this, these and those which are counted as demonstratives (DEMO). Note that this Stanford Tagger category also includes pronouns such as another in Shall I choose another?',
            'QUAN': 'All occurrences of pre-determiners as tagged by the Stanford Tagger, which includes the following "determiner-like elements when they precede an article or possessive pronoun" (Santorini 1990: 4): nary, quite, rather and such (e.g., quite a mess, rather a nuisance, many a moon), as well as all instances of all (unless immediately followed by right, cf. DMA), any, a bit, a tad, billions, both, dozens, each, every, few, half, hundreds, many, millions, much, several, some, lots, couple of, a lot (of), a little, load(s) of, heaps of, thousands, wee, zillions, less and more (as adjectives only).',
            'CD': 'All cardinal numbers as identified by the Stanford Tagger. This includes dates written in numbers, e.g., 1994. In addition, numbers listed as list markers (LS) by the Stanford are overwritten as CD and strings of the type \\b[0-9]+th_|\\b[0-9]+nd_|\\b[0-9]+rd_ are also tagged as numbers (CD).',
            'DEMO': 'Assigned to all occurrences of that, this, these and those identified by the Stanford Tagger as determiners (DT).',
            'ELAB': 'Assigned to such that (not followed by a determiner), such as, so long as, inasmuch as, insofar as, insomuch as, in that, to the extent that, in particular, in conclusion, in sum, in summary, to summarise, to summarize, for example, for instance, in fact, in brief, in any event, in any case, in other words, e(.)g(.), in summary, viz(.), cf(.), i.e., namely, etc(.), likewise, namely, and similarly and accordingly when followed by a comma.',
            'CC': 'This category takes the coordinating conjunctions (CC) tagged by the Stanford Tagger as its basis which include and, but, nor, or, yet, "as well as the mathematical operators plus, minus, less, times (in the sense of ‘multiplied by’) and over (in the sense of ‘divided by’), when they are spelled out” (Santorini 1990: 2). However, conjunctions already captured by other variables are excluded from this count: yet is assigned to concessive (CONC). In addition, the following (multi-word) conjunctions are also included in this category: also, besides, moreover, further (when tagged as an adverb), furthermore, in addition, additionally, as well (as) (except when preceded by least), however (provided it is preceded or followed by a punctuation mark), ibid, on the one hand, on the other hand, instead, besides, conversely, by/in contrast, on the contrary, in/by comparison, whereas, whereby, whilst.',
            'CUZ': 'Assigned to all occurrences of because, \'cause, cos, cuz and coz. The latter four were not included in Biber’s (1988) original variable. According to Biber (1988: 236) because "is the only subordinator to function unambiguously as a causative adverbial". Whilst it is true that many subordinators, e.g., as, for, and since, can fulfil a range of functions, including causative, and were therefore not included in this category, the following adverbs and multi-word conjunctions were added since they mostly fulfil a causative function: as a result, on account of, for that/this purpose, thanks to, to that/this end, consequently, in consequence, hence, so that, therefore, thus.',
            'CONC': 'Assigned to all occurrences of although, though, tho, despite, even if, except that, in spite of, albeit, granted that, nevertheless, nonetheless, notwithstanding, whereas, no matter + WH-word, (ir)regardless of, and granted. Also assigned to still and yet when preceded by any punctuation mark or followed by a comma. Multi-word units are only counted as one occurrence of CONC.',
            'COND': 'Assigned to all occurrences of if, as long as, unless, lest, in that case, otherwise, whether.',
            'DMA': 'Assigned to "interactional signals and discourse markers" (as listed in Stenström 1994: 59 and cited in Aijmer 2002: 2): actually, all right, anyway, God, goodness, gosh, OK, okay, right (if tagged as an interjection by the Stanford Tagger), well (only if identified by the Stanford Tagger as an adverb or adjective and not if preceded by as, how, very, really, quite, a verb, an adjective or an adverb), yes, yeah, yep, sure (unless it is preceded by the verb MAKE, for, not or you). Verbal phrases such as you know and I mean were excluded from this variable since literal occurrences could not be automatically disambiguated occurrences as discourse markers. A number of markers from Stenström’s list are also not assigned this tag because they are captured by other variables: now (TIME), please (POLITE), really (EMPH), quite and sort of (HDG). The following items were added: lol, IMO, omg, wtf, nope, mind you, of course, whatever and damn (unless tagged as a verb, or followed by an adjective; in the latter case it is an emphatic, cf. EMPH).',
            'FPUH': 'Assigned to all occurrences of ah+, aw+, oh+, eh+, er+, erm+, mm+, ow+, um+, huh+, uhu+, uhuh, mhm+, hm+ (but not HM), oo+ps woo+ps, hi, hey, and interjections identified by the Stanford Tagger and not assigned to another category. The plus sign (+) signifies that that the preceding letter can appear multiple times, i.e.,ahh and errrr are also assigned this tag.',
            'WHQU': 'Assigned to what, where, when, how, why, who, whom, whose and which followed by a question mark within 15 tokens.',
            'QUTAG': 'Assigned to question marks preceded by (1) innit, init; (2) a modal verb (MD) or did or had, and a personal pronoun (P.+); (3) a modal verb or did or had, a negation (XX0), and a personal pronoun; (4) is, does, was or has, followed by it, she or he; (5) is, does, was or has, followed by a negation, and it, she or he; (6) do, were, are or have, followed by you, we or they; (7) do, were, are or have, followed by a negation, and you, we or they. In addition, the above patterns are not considered question tags if a question word occurs within six words to the left of the question mark; consequently, Why did you do it? is not assigned this tag but rather WQ.',
            'YNQU': 'Assigned to any form of the verbs BE, HAVE, DO or a modal verb (MD) followed by a personal pronoun (P.+), a noun (NN.*), a negation (XX0) or determiner (DT) and then a question mark within three to 15 tokens, as long as no WH-question (WHQU) or yes/no question tag (YNQU) is present one or two tokens before the auxiliary verb. Note that this variable should not overlap with question tags (QUTAG).',
            'THRC': "Assigned to that identified as introducing a relative clause by the Stanford Tagger (WDT), unless it is immediately followed by a punctuation mark. Any remaining that_WDT tokens are typically mistagged demonstratives and are thus assigned to the DEMO category, e.g., I don't think that's a problem that is.",
            'THSC': 'Assigned to that tokens which have been tagged as IN by the Stanford Tagger and are not immediately followed by a punctuation mark. Remaining that_IN tokens are assigned to the demonstrative category (DEMO): these are end-of-sentences/utterances tokens which are typically misidentified by the Stanford Tagger, e.g., Who was that?',
            'THATD': 'The THATD tag is assigned to the following patterns: (1) a public, private or suasive verb followed by a demonstrative pronoun (DEMO) or I, we, he, she, it, they and then a verb (V.* or MD); (2) a public, private or suasive verb followed by I, we, he, she, it, they or a noun (N.*), and then by a verb (V.* or MD); (3) a public, private or suasive verb followed by an adjective (J.*), an adverb (RB), a determiner (DT, QUAN, CD) or a possessive pronoun (PRPS), and then a noun (N.*), and then a verb (V.* or MD), with the possibility of an intervening adjective (J.*) between the noun and its preceding word. This tag corresponds to Biber’s (1988: 244) category but its operationalisation has been improved to avoid the algorithm erroneously tagging constructions such as Why would I know that? and He didn’t hear me thank God.',
            'WHSC': 'Assigned when the words what, where, when, how, whether, why, whoever, whomever, whichever, wherever and whenever have not been previously identified as part of a WH question (WHQU). Though many attempts were made, it proved impossible to reliably disambiguate between relative and other subordinate WH-clauses, which is why they are pooled together in this category.',
            'NN': 'Assigned to all singular (NN) and plural nouns (NNS) identified by the Stanford Tagger including proper nouns (NNP and NNPS). This variable differs from the Biber Tagger in that it includes nominalisations.',
            'NCOMP': "Assigned when two or more nouns follow each other without any intervening punctuation. The algorithm allows for the first noun to be a proper noun but not the second thus allowing for Monday afternoon and Hollywood stars but not Barack Obama and Los Angeles. It is also restricted to nouns with a minimum of two letters to avoid OCR errors (dots and images identified as individual letters and which are usually tagged as nouns by the Stanford Tagger) producing too many erroneous NCOMP's. Note that this feature works best with fully punctuated texts (see per-register recall and precision rates in the tagger documentation).",
            'EMO': 'Assigned to all emojis as of December 2018 (cf. https://unicode.org/emoji/charts/full-emoji-list.html) and to a range of emoticons, in particular three-character emoticons such as :-). The source code also includes three lines which are by default commented out but can be uncommented for texts where short emoticons are expected. It is not recommended to use these lines for general English because they lead to a sharp decrease in precision: many of the shorter emoticons, e.g., :( :D :3, are too easy to confuse with poorly scanned texts that are missing spaces, or with the punctuation styles of specific academic journals. ',
            'HST': 'Assigned to any string starting with a hashtag followed by at least three letters, digits or underscores.',
            'URL': 'Assigned to all strings resembling a URL or an e-mail address (without claiming to only include valid URLs or e-mail addresses since this is not the aim). Regex for this feature was inspired by: https://mathiasbynens.be/demo/url-regex.',
            'NNMention': 'Assigned to all strings of alphanumeric characters starting with an @ symbol.',
            'XX0': 'Biber’s (1988) analytic and synthetic negation features were merged into one negation variable since the latter is too infrequent to be of use in the context of this study. This unique negation tag is assigned to the tokens not_RB, n’t_RB, all occurrences of the words nor and neither, and no when followed by an adjective (J.*) or noun (NN.*).',
            'IN': 'All items tagged as IN by the Stanford Tagger other than those assigned to CUZ, CONC, COND, SO and LIKE. ',
            'PP1S': 'All occurrences of me, myself and mine and I if tagged by the Stanford Tagger as a pronoun, a list symbol (LS) or a foreign word (FW).',
            'PP1P': 'All occurrences of us, we, our, ourselves and ours, as well as the contracted form of us  (e.g., in let’s). All these terms are case insensitive but an exception for US was added as this usually refers to the United States of America.',
            'PP2': "Following Biber (1988), all occurrences of you, your, yourself, yourselves. Following Nini (2014: 18), also includes thy, thee and thyself. In addition, the forms ur, ye, y'all, ya, thine and the nominal possessive pronoun yours were also added.",
            'PIT': 'All occurrences of the pronoun it. An exception was added for the all capital form IT which most frequently refers to Information Technology. Following Nini (2014: 18), also includes all occurrences of itself and its.',
            'PPother': 'This tag consists of the remaining personal pronouns not yet tagged as either first (PR1), second (PR2) or third (PR3) person pronouns. In practice, this should only leave one and any misspelt, historical or dialectal forms not captured by the other categories.',
            'PP3m': 'All occurrences of he, him, his and himself.',
            'PP3f': 'All occurrences of she, her, and herself.',
            'TPP3t': "All occurrences of they, them, themselves, themself, theirs and 'em when tagged by the Stanford Tagger as a pronoun.",
            'QUPR': 'All occurrences of anybody, anyone, anything, each other, everybody, everyone, everything, nobody, none, no one, nothing, others, one another, somebody, someone and something.',
            'POLITE': 'Assigned to all occurrences of thanks, thank you, cheers, ta (unless it is preceded by got to avoid the confusion with gotta), please, sorry, apology, apologies, all forms of the verbs excuse, I/we wonder, I/we + BE + wondering, and the multi-word units you mind and don’t mind. No exception was made for please as a verb because the Stanford Tagger frequently misidentifies please as a verb, e.g., I was like please_VPRT just please_VB just get there.',
            'AMP': 'Assigned to the amplifiers from Biber’s (1988) list: absolutely, altogether, completely, enormously, entirely, extremely, fully, greatly, highly, intensely, perfectly, strongly, thoroughly, totally, truly, utterly, very. Especially, extraordinarily, particularly, sorely and definitely were added.',
            'DWNT': 'Assigned to all occurrences of almost, barely, hardly, merely, mildly, nearly, only, partially, partly, practically, scarcely, slightly, somewhat. In Biber (1988) almost is listed as both a hedge and a downtoner. Following Nini (2014), it is only considered a downtoner here. Solely was added.',
            'EMPH': 'Originally based on Biber (1988), assigned to occurrences of just, really, most, more, real, so, for sure, such a. The algorithm was improved by adding so + much/little/many, such a/an (whilst excluding such a/an if proceeded by of), and ensuring that only DO + verb in base form (VB) are tagged. When not proceeded by so or thus, far + J.*/RB was added. To account for recent language change (Aijmer 2018), bloody, dead, fuck, fucking, truly, pretty, way and super occurring before adverbs or adjectives were also added. Multi-word units are counted as one EMPH tag but several words. ',
            'HDG': 'Following Biber (1988: 240) assigned to all occurrences of maybe, at about, something like, and more or less, as well as sort of and kind of as long as they are not preceded by a determiner (DT), quantifier (QUAN), cardinal number (CD), adjective (J.*), possessive pronoun (PRPS) or WH-word. The condition that kind must have been tagged as a noun (NN) by the Stanford Tagger was added to exclude phrases such as it’s very kind of you. Kinda and sorta was added as colloquial alternatives to kind of and sort of and the adverbs allegedly, apparently, conceivably, perhaps, possibly, presumably, probably, purportedly, roughly and somewhat were also added to the list.',
            'EX': '\nAs tagged by the Stanford Tagger: “Existential there is the unstressed there that triggers inversion of the inflected verb and the logical subject of a sentence” (Santorini 1990: 3).',
            'BEMA': 'Following Biber (1988), this tag is assigned to the all forms of the verb BE when followed by a determiner (DT), a possessive pronoun (PRPS) a preposition (IN), or an adjective (JJ). In addition, Nini (2014: 20) improved the Biber Tagger “by taking into account that adverbs or negations can appear between the verb BE and the rest of the pattern. Furthermore, the algorithm was slightly modified and improved: (a) the problem of a double-coding of any Existential there followed by a form of BE as a BEMA was solved by imposing the condition that there should not appear immediately before or two before the pattern; (b) the cardinal numbers (CD) tag and the personal pronoun (PRP) tag were added to the list of items that can follow the form of BE.” This latter improvement by Nini, however, resulted in tag questions also being assigned to BEMA. The present algorithm therefore further excludes any occurrences of BE found one or two to the left of a question tag (QUTAG), as well as BE occurrences one or two to the left of a present participle form tagged as PROG or past participle form tagged as PASS.',
            'SPLIT': "This category merges Biber’s (1988) split auxiliaries and split infinitive categories and follows Nini’s (2014: 30) operationalisations. Hence, this tag is assigned every time the infinitive marker to (TO) is followed by one or two adverbs and a verb base form, and every time an auxiliary (any modal verb MD, or any form of DOAUX, or any form of BE, or any form of HAVE) is followed by one or two adverbs and a verb form. Nini's algorithm was improved to ensure that negated split auxiliaries would also be identified,  e.g., They have not yet developed cancer.",
            'STPR': 'As in Biber (1988), assigned to the prepositions against, amid, amidst, among, amongst, at, between, by, despite, during, except, for, from, in, into, minus, of, off, on, onto, opposite, out, per, plus, pro, than, through, throughout, thru, toward, towards, upon, versus, via, with, within and without followed by any punctuation mark. Following Nini (2014: 30), besides was removed from Biber\'s original list since it also frequently serves as a conjunct and, in this function, is usually followed by a punctuation mark. Note that Nini\'s (2014:30) operationalisation tagged all occurrences of these word forms as prepositions regardless of how they were tagged by the Stanford Tagger. Here, it was decided to improve accuracy by restricting the query to tokens tagged as IN by the Stanford Tagger (thus excluding many RB and RP tokens, e.g., Don\'t take it away! Tie her up! He roared out: "Come away!").',
            'CONT': 'Following (Nini 2014: 29), all occurrences of an apostrophe followed by a word identified as a verb (V.*, MD) by the Stanford Tagger and all occurrences of the token n’t_XX0.',
            'RP': 'As tagged by the Stanford Tagger (RP) (Santorini 1990: 9-10).',
            'PASS': 'Assigned to past participles (here: VBN or VBD) preceded by the following patterns: 1) any form of the verb BE; 2) BE followed by one or two adverb(s) (RB) and/or a negation (XX0); 3) BE followed by a noun (NN.*) or personal pronoun (PRP); 4) BE followed by a noun (NN.*) or personal pronoun, and an adverb (RB) or negation (XX0). Unlike Biber (1988), no subdivision is made for by-passives and agentless passives. This choice is a) theoretically motivated because passives are too infrequent to be robustly measured at this level of granularity in most texts and b) for practical reasons because the algorithm proposed to identify by-passives resulted in too many false positives  (e.g.,  looking for things that have been made by hand).',
            'PGET': 'Assigned to past participles (here: VBN or VBD) preceded by the following patterns: 1) any form of the verb GET; 2) GET followed by a noun (NN.*) or personal pronoun (PRP); 3) GET followed by a determiner (DT) or a noun (NN.*) plus a noun (NN.*).',
            'GTO': 'Assigned to all occurrences of going to and gonna followed by a base form verb (VB), allowing for up to one intervening word between going to or gonna and the infinitive. GTO constructions are excluded from the progressive (PROG) count.',
            'VBD': 'As tagged by the Stanford Tagger, except where VBD tags are assumed to have been misassigned by the Stanford Tagger and are instead attributed to the perfect aspect (PEAS) or passives (PASS, PGET) categories.',
            'VBG': 'All verb forms ending in -ing as tagged by the Stanford Tagger, except those identified as progressives (PROG) or going to constructions (GTO). This category also includes "putative prepositions" ending in -ing such as according to and concerning your request (Santorini 1990: 11).',
            'VBN': 'As tagged by the Stanford Tagger except for the exclusion of tokens identified as instances of the perfect aspect (PEAS), passives (PASS, PGET) and used to constructions (USEDTO). Note that according to the Stanford Tagger rules, this category includes "putative prepositions" ending in -ed such as granted that and provided that (Santorini 1990: 11).',
            'VIMP': 'This tag is first assigned to any verb in base form (VB) occurring 1) immediately after an end-of-sentence punctuation mark, an emoji or emoticon (EMO), a symbol (SYM), hashtag (HST), foreign word (FW) or a list marker (LS), or 2) after a punctuation mark and an adverb (e.g., 1A. Then practice the dialogue), unless the VB token is please or thank or has previously been identified as a DO auxiliary (DOAUX). In a second loop, the VIMP tag is assigned to VB verb tokens (except thank or please) when preceded by an imperative as identified above, with up to two optional intervening tokens, and the tokens and or or (e.g., Describe or draw, Listen carefully and repeat, Read the text and answer the questions). Optionally, a number of verbs frequently found in instructions can be added as exceptions (e.g., Complete, Choose, Check) and are always assigned to this category when they are found at the beginning of a sentence regardless of their tag because these were found to be frequently erronouesly identified by the Stanford Tagger as nouns (NN).',
            'VPRT': "Subsumes the VBP (present tense other than third-person singular) and VBZ (third-person singular present tense) tags assigned by the Stanford Tagger. The MFTE also corrects systematic errors in the Stanford Tagger output by adding VPRT tags in strings such as I dunno and there's.",
            'PEAS': "Assigned to past participles (VBN, VBD) preceded by the following patterns: 1) any form of the verb HAVE; 2) HAVE followed by one or two adverb(s) (RB) and/or a negation (XX0); 3) HAVE followed by a noun (NN.*) or personal pronoun (PRP); 4) HAVE followed by a noun (NN.*) or personal pronoun, and an adverb (RB) or negation (XX0); 5) HAVE followed by a participle tagged as a passive (PASS); 6) HAVE followed by one or two adverb(s) (RB) and/or a negation (XX0), and a passive participle (PASS); 7) HAVE followed by a noun (NN.*) or personal pronoun (PRP), and a passive participle (PASS); 8) 's as a verb (VBZ) followed by been, had, done or a stative verb; 9) 's as a verb (VBZ) followed by an adverb (RB) or negation (XX0), and been, had, done or a stative verb (as listed under JJPR).",
            'PROG': 'Assigned to any form of BE followed by an -ing form of any verb (VBG). The algorithm allows for an intervening adverb (RB), emphatic (EMPH) and/or negation (XX0). The interrogative form is captured as BE followed by a noun (N.*) or personal pronoun (PRP) followed by the VBG token. As for the affirmative version, the latter algorithm also accounts for an intervening adverb (RB) and/or negation (XX0). Going to constructions are excluded from this category and are tagged separately (GTO).',
            'HGOT': 'Assigned to the word got preceded by the following patterns: 1) any form of the verb HAVE; 2) HAVE followed by one or two adverb(s) (RB) and/or a negation (XX0); 3) HAVE followed by a noun (NN, NNP) or personal pronoun (PRP); 4) HAVE followed by a noun (NNP, NNP) or personal pronoun, and an adverb (RB) or negation (XX0). Note that this algorithm overwrites the perfect aspect (PEAS) and passive (PASS) tag.',
            'DOAUX': "Assigned to do, does and did as verbs in the following patterns: (a) when the next but one token is a base form verb (VB)  (e.g., did it work?, didn't hurt?); (b) when the next but two token (+3) is a base form verb (VB)  (e.g., didn't it work); (c) when it is immediately followed by an end-of-sentence punctuation mark  (e.g., you did?); (d) when it is followed by a personal pronoun (PRP) or not or n't (XX0) and an end-of-sentence punctuation mark  (e.g., do you? He didn't!); (e) when it is followed by not or n't (XX0) and a personal pronoun (PRP)  (e.g., didn't you?); (f) when it is followed by a personal pronoun followed by any token and then a question mark  (e.g., did you really? did you not?); (g) when it is preceded by a WH question word. Additionally, all instances of DO immediately preceded by to as an infinitive marker (TO) are excluded from this tag.",
            'MDNE': "As in Biber (1988), all occurrences of ought, should and must. Contrary to Nini's operationalisation (2014: 27), only occurrences tagged as modals (MD) by the Stanford Tagger were included. In addition, have to and need when tagged as a modal by the Stanford Tagger or when immediately followed by to not tagged as a preposition (IN).",
            'MDCA': "All occurrences of can and ca tagged as modals by the Stanford Tagger (MD). Ca was included because the Stanford Tagger parses can't as ca + n't.",
            'MDCO': 'All occurrences of could tagged as a modal by the Stanford Tagger (MD). ',
            'MDMM': 'All occurrences of may and might tagged as modals by the Stanford Tagger (MD). ',
            'MDWS': "The tokens will and shall and their contractions 'll, wo and sha when tagged as modals by the Stanford Tagger (MD).",
            'MDWO': "The tokens will and shall and their contractions 'll, wo and sha when tagged as modals by the Stanford Tagger (MD).",
            'ABLE': 'Assigned to occurrences of the bigram (un)able to, whenever (un)able has previously been identified as a predicative adjective (JJPR). These occurrences of (un)able are subsequently excluded from the JJPR count.',
            'JJATDother': 'Any of the following words tagged as adjective and not followed by a to_ or _THSC (that complement clause) tag: afraid, amazed, (un)aware, concerned, disappointed, encouraged, glad, happy, hopeful, pleased, shocked, surprised, worried.',
            'JJCOLR': 'Any of the following words tagged as adjective and not having an additional tag apart from the underscore separated _TAG: black, white, dark, bright, blue, brown, green, grey, gray, red.',
            'JJEPSTother': 'Any of the following words tagged as adjective and not followed by a to_ or _THSC (that complement clause) tag: apparent, certain, clear, confident, convinced, correct, evident, false, impossible, inevitable, obvious, positive, right, sure, true, well-known, doubtful, likely, possible, probable, unlikely.',
            'JJEVAL': 'Any of the following words tagged as adjective and not having an additional tag apart from the underscore separated _TAG: bad, beautiful, best, fine, good, great, lovely, nice, poor.',
            'JJREL': 'Any of the following words tagged as adjective and not having an additional tag apart from the underscore separated _TAG: additional, average, chief, complete, different, direct, entire, external, final, following, general, initial, internal, left, main, maximum, necessary, original, particular, previous, primary, public, similar, single, standard, top, various, same.',
            'JJSIZE': 'Any of the following words tagged as adjective and not having an additional tag apart from the underscore separated _TAG: big, deep, heavy, huge, long, large, little, short, small, thin, wide, narrow.',
            'JJTIME': 'Any of the following words tagged as adjective and not having an additional tag apart from the underscore separated _TAG: annual, daily, early, late, new, old, recent, young, weekly, monthly.',
            'JJTOPIC': 'Any of the following words tagged as adjective and not having an additional tag apart from the underscore separated _TAG: chemical, commercial, environmental, human, industrial, legal, medical, mental, official, oral, phonetic, political, sexual, social, ventral, visual.',
            'RATT': 'Any of the following words tagged as adverb and not having an additional tag apart from the underscore separated _TAG: amazingly, astonishingly, conveniently, curiously, hopefully, fortunately, importantly, ironically, rightly, sadly, surprisingly, unfortunately, even worse.',
            'RFACT': 'Any of the following words tagged as adverb and not having an additional tag apart from the underscore separated _TAG: actually, always, certainly, definitely, indeed, inevitably, never, obviously, really, undoubtedly, nodoubt, ofcourse, infact.',
            'RLIKELY': 'Any of the following words tagged as adverb and not having an additional tag apart from the underscore separated _TAG: apparently, evidently, perhaps, possibly, predictably, probably, roughly, maybe, in most cases.',
            'RNONFACT': 'Any of the following words tagged as adverb and not having an additional tag apart from the underscore separated _TAG: confidentially, frankly, generally, honestly, mainly, technically, truthfully, typically, reportedly, primarily, usually.',
            'SUPER': 'All adjectives and adverbs ending in "est" except honest, test, west, pest, lest and guest, as well as worst and best followed by a hypthen. Also constructions of the type: the least/most + ADJ/ADV/NOUN.',
            'COMPAR': 'All adjectives and adverbs ending in "er" except after, never, rather, other, ever, together, proper, super, clever, eager, queer, hyper, inner, utter, bitter, premier, sinister, sober, order and over, as well as  worse and better followed by a hypthen. Also constructions of the type: more/less + ADJ/ADV/NN.',
            'NNABSPROC': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: action, actions, activity, activities, application, applications, argument, arguments, development, developments, education, educations, effect, effects, function, functions, method, methods, research, researches, result, results, process, processes, accounting, accountings, achievement, achievements, addition, additions, administration, administrations, approach, approaches, arrangement, arrangements, assignment, assignments, competition, competitions, construction, constructions, consumption, consumptions, contribution, contributions, counseling, counselings, criticism, criticisms, definition, definitions, discrimination, discriminations, description, descriptions, discussion, discussions, distribution, distributions, division, divisions, eruption, eruptions, evolution, evolutions, exchange, exchanges, exercise, exercises, experiment, experiments, explanation, explanations, expression, expressions, formation, formations, generation, generations, graduation, graduations, management, managements, marketing, marketings, marriage, marriages, mechanism, mechanisms, meeting, meetings, operation, operations, orientation, orientations, performance, performances, practice, practices, presentation, presentations, procedure, procedures, production, productions, progress, progresses, reaction, reactions, registration, registrations, regulation, regulations, revolution, revolutions, selection, selections, session, sessions, strategy, strategies, teaching, teachings, technique, techniques, tradition, traditions, training, trainings, transition, transitions, treatment, treatments, trial, trials, act, acts, agreement, agreements, attempt, attempts, attendance, attendances, birth, births, break, breaks, claim, claims, comment, comments, comparison, comparisons, conflict, conflicts, deal, deals, death, deaths, debate, debates, demand, demands, answer, answers, control, controls, flow, flows, service, services, work, works, test, tests, use, uses, war, wars, change, changes, question, questions, study, studies, talk, talks, task, tasks, trade, trades, transfer, transfers, admission, admissions, design, designs, detail, details, dimension, dimensions, direction, directions, disorder, disorders, diversity, diversities, economy, economies, emergency, emergencies, emphasis, emphases, employment, employments, equilibrium, equilibriums, equity, equities, error, errors, expense, expenses, facility, facilities, failure, failures, fallacy, fallacies, feature, features, format, formats, freedom, freedoms, fun, funs, gender, genders, goal, goals, grammar, grammars, health, healths, heat, heats, help, helps, identity, identities, image, images, impact, impacts, importance, importances, influence, influences, input, inputs, labor, labors, leadership, leaderships, link, links, manner, manners, math, maths, matrix, matrices, meaning, meanings, music, musics, network, networks, objective, objectives, opportunity, opportunities, option, options, origin, origins, output, outputs, past, pasts, pattern, patterns, phase, phases, philosophy, philosophies, plan, plans, potential, potentials, prerequisite, prerequisites, presence, presences, principle, principles, success, successes, profile, profiles, profit, profits, proposal, proposals, psychology, psychologies, quality, qualities, quiz, quizzes, race, races, reality, realities, religion, religions, resource, resources, respect, respects, rest, rests, return, returns, risk, risks, substance, substances, scene, scenes, security, securities, series, series, set, sets, setting, settings, sex, sexes, shape, shapes, share, shares, show, shows, sign, signs, signal, signals, sort, sorts, sound, sounds, spring, springs, stage, stages, standard, standards, start, starts, stimulus, stimuli, strength, strengths, stress, stresses, style, styles, support, supports, survey, surveys, symbol, symbols, topic, topics, track, tracks, trait, traits, trouble, troubles, truth, truths, variation, variations, variety, varieties, velocity, velocities, version, versions, whole, wholes, action, actions, account, accounts, condition, conditions, culture, cultures, end, ends, factor, factors, grade, grades, interest, interests, issue, issues, job, jobs, kind, kinds, language, languages, law, laws, level, levels, life, lives, model, models, name, names, nature, natures, order, orders, policy, policies, position, positions, power, powers, pressure, pressures, relationship, relationships, requirement, requirements, role, roles, rule, rules, science, sciences, side, sides, situation, situations, skill, skills, source, sources, structure, structures, subject, subjects, type, types, information, informations, right, rights, state, states, system, systems, value, values, way, ways, address, addresses, absence, absences, advantage, advantages, aid, aids, alternative, alternatives, aspect, aspects, authority, authorities, axis, axes, background, backgrounds, balance, balances, base, bases, beginning, beginnings, benefit, benefits, bias, biases, bond, bonds, capital, capitals, care, cares, career, careers, cause, causes, characteristic, characteristics, charge, charges, check, checks, choice, choices, circuit, circuits, circumstance, circumstances, climate, climates, code, codes, color, colors, column, columns, combination, combinations, complex, complexes, connection, connections, constant, constants, constraint, constraints, contact, contacts, content, contents, contract, contracts, context, contexts, contrast, contrasts, crime, crimes, criteria, criterias, cross, crosses, current, currents, curriculum, curriculums, curve, curves, debt, debts, density, densities.',
            'NNCOG': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: analysis, analyses, decision, decisions, experience, experiences, assessment, assessments, calculation, calculations, conclusion, conclusions, consequence, consequences, consideration, considerations, evaluation, evaluations, examination, examinations, expectation, expectations, observation, observations, recognition, recognitions, relation, relations, understanding, understandings, hypothesis, hypotheses, ability, abilities, assumption, assumptions, attention, attentions, attitude, attitudes, belief, beliefs, concentration, concentrations, concern, concerns, consciousness, consciousnesses, concept, concepts, fact, facts, idea, ideas, knowledge, knowledges, look, looks, need, needs, reason, reasons, sense, senses, view, views, theory, theories, desire, desires, emotion, emotions, feeling, feelings, judgement, judgements, memory, memories, notion, notions, opinion, opinions, perception, perceptions, perspective, perspectives, possibility, possibilities, probability, probabilities, responsibility, responsibilities, thought, thoughts.',
            'NNCONC': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: tank, tanks, stick, sticks, target, targets, strata, stratas, telephone, telephones, string, strings, telescope, telescopes, sugar, sugars, ticket, tickets, syllabus, syllabuses, tip, tips, salt, salts, tissue, tissues, screen, screens, tooth, teeth, sculpture, sculptures, sphere, spheres, seawater, seawaters, spot, spots, ship, ships, steam, steams, silica, silicas, steel, steels, slide, slides, stem, stems, snow, snows, sodium, mud, muds, solid, solids, mushroom, mushrooms, gift, gifts, muscle, muscles, glacier, glaciers, tube, tubes, gun, guns, nail, nails, handbook, handbooks, newspaper, newspapers, handout, handouts, node, nodes, instrument, instruments, notice, notices, knot, knots, novel, novels, lava, lavas, page, pages, food, foods, transcript, transcripts, leg, legs, eye, eyes, lemon, lemons, brain, brains, magazine, magazines, device, devices, magnet, magnets, oak, oaks, manual, manuals, package, packages, marker, markers, peak, peaks, match, matches, pen, pens, metal, metals, pencil, pencils, block, blocks, pie, pies, board, boards, pipe, pipes, heart, hearts, load, loads, paper, papers, transistor, transistors, modem, modems, book, books, mole, moles, case, cases, motor, motors, computer, computers, mound, mounds, dollar, dollars, mouth, mouths, hand, hands, movie, movies, flower, flowers, object, objects, foot, feet, table, tables, frame, frames, water, waters, vessel, vessels, arm, arms, visa, visas, bar, bars, grain, grains, bed, beds, hair, hairs, body, bodies, head, heads, box, boxes, ice, ices, car, cars, item, items, card, cards, journal, journals, chain, chains, key, keys, chair, chairs, window, windows, vehicle, vehicles, leaf, leaves, copy, copies, machine, machines, document, documents, mail, mails, door, doors, map, maps, dot, dots, phone, phones, drug, drugs, picture, pictures, truck, trucks, piece, pieces, tape, tapes, note, notes, liquid, liquids, wire, wires, equipment, equipments, wood, woods, fiber, fibers, plant, plants, fig, figs, resistor, resistors, film, films, sand, sands, file, files, score, scores, seat, seats, belt, belts, sediment, sediments, boat, boats, seed, seeds, bone, bones, soil, soils, bubble, bubbles, bud, buds, water, waters, bulb, bulbs, portrait, portraits, bulletin, bulletins, step, steps, shell, shells, stone, stones, cake, cakes, tree, trees, camera, cameras, video, videos, face, faces, wall, walls, acid, acids, alcohol, alcohols, cap, caps, aluminium, aluminiums, clay, clays, artifact, artifacts, clock, clocks, rain, rains, clothing, clothings, asteroid, asteroids, club, clubs, automobile, automobiles, comet, comets, award, awards, sheet, sheets, bag, bags, branch, branches, ball, balls, copper, coppers, banana, bananas, counter, counters, band, bands, cover, covers, wheel, wheels, crop, crops, drop, drops, crystal, crystals, basin, basins, cylinder, cylinders, bell, bells, desk, desks, dinner, dinners, pole, poles, button, buttons, pot, pots, disk, disks, pottery, potteries, drain, drains, radio, radios, drink, drinks, reactor, reactors, drawing, drawings, retina, retinas, dust, dusts, ridge, ridges, edge, edges, ring, rings, engine, engines, ripple, ripples, plate, plates, game, games, cent, cents, post, posts, envelope, envelopes, rock, rocks, filter, filters, root, roots, finger, fingers, slope, slopes, fish, fish, space, spaces, fruit, fruits, statue, statues, furniture, furnitures, textbook, textbooks, gap, gaps, tool, tools, gate, gates, train, trains, gel, gels, deposit, deposits, chart, charts, mixture, mixtures.',
            'NNGRP': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: airline, airlines, institute, institutes, colony, colonies, bank, banks, flight, flights, church, churches, hotel, hotels, firm, firms, hospital, hospitals, household, households, college, colleges, institution, institutions, house, houses, lab, labs, laboratory, laboratories, community, communities, company, companies, government, governments, university, universities, school, schools, home, homes, congress, congresses, committee, committees.',
            'NNHUMAN': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: family, families, guy, guys, individual, individuals, kid, kids, man, men, manager, managers, member, members, parent, parents, teacher, teachers, child, children, people, peoples, person, people, student, students, woman, women, animal, animals, applicant, applicants, author, authors, baby, babies, boy, boys, client, clients, consumer, consumers, critic, critics, customer, customers, doctor, doctors, employee, employees, employer, employers, father, fathers, female, females, friend, friends, girl, girls, god, gods, historian, historians, husband, husbands, American, Americans, Indian, Indians, instructor, instructors, king, kings, leader, leaders, male, males, mother, mothers, owner, owners, president, presidents, professor, professors, researcher, researchers, scholar, scholars, speaker, speakers, species, species, supplier, suppliers, undergraduate, undergraduates, user, users, wife, wives, worker, workers, writer, writers, accountant, accountants, adult, adults, adviser, advisers, agent, agents, aide, aides, ancestor, ancestors, anthropologist, anthropologists, archaeologist, archaeologists, artist, artists, artiste, artistes, assistant, assistants, associate, associates, attorney, attorneys, audience, audiences, auditor, auditors, bachelor, bachelors, bird, birds, boss, bosses, brother, brothers, buddha, buddhas, buyer, buyers, candidate, candidates, cat, cats, citizen, citizens, colleague, colleagues, collector, collectors, competitor, competitors, counselor, counselors, daughter, daughters, deer, deer, defendant, defendants, designer, designers, developer, developers, director, directors, driver, drivers, economist, economists, engineer, engineers, executive, executives, expert, experts, farmer, farmers, feminist, feminists, freshman, freshmen, eologist, eologists, hero, heroes, host, hosts, hunter, hunters, immigrant, immigrants, infant, infants, investor, investors, jew, jews, judge, judges, lady, ladies, lawyer, lawyers, learner, learners, listener, listeners, maker, makers, manufacturer, manufacturers, miller, millers, minister, ministers, mom, moms, monitor, monitors, monkey, monkeys, neighbor, neighbors, observer, observers, officer, officers, official, officials, participant, participants, partner, partners, patient, patients, personnel, personnels, peer, peers, physician, physicians, plaintiff, plaintiffs, player, players, poet, poets, police, polices, processor, processors, professional, professionals, provider, providers, psychologist, psychologists, resident, residents, respondent, respondents, schizophrenic, schizophrenics, scientist, scientists, secretary, secretaries, server, servers, shareholder, shareholders, sikh, sikhs, sister, sisters, slave, slaves, son, sons, spouse, spouses, supervisor, supervisors, theorist, theorists, tourist, tourists, victim, victims, faculty, faculties, dean, deans, engineer, engineers, reader, readers, couple, couples, graduate, graduates, Pakistani(s), Bangladeshi(s), Srilanakn(s).',
            'NNPLACE': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: apartment, apartments, interior, interiors, bathroom, bathrooms, moon, moons, bay, bays, museum, museums, bench, benches, neighborhood, neighborhoods, bookstore, bookstores, opposite, opposites, border, borders, orbit, orbits, cave, caves, orbital, orbitals, continent, continents, outside, outsides, delta, deltas, parallel, parallels, desert, deserts, passage, passages, estuary, estuaries, pool, pools, factory, factories, prison, prisons, farm, farms, restaurant, restaurants, forest, forests, sector, sectors, habitat, habitats, shaft, shafts, hell, hells, shop, shops, hemisphere, hemispheres, southwest, hill, hills, station, stations, hole, holes, territory, territories, horizon, horizons, road, roads, bottom, bottoms, store, stores, boundary, boundaries, stream, streams, building, buildings, top, tops, campus, campuses, valley, valleys, canyon, canyons, village, villages, coast, coasts, city, cities, county, counties, country, countries, court, courts, earth, earths, front, fronts, environment, environments, district, districts, field, fields, floor, floors, market, markets, lake, lakes, office, offices, land, lands, organization, organizations, lecture, lectures, place, places, left, lefts, room, rooms, library, libraries, area, areas, location, locations, class, classes, middle, middles, classroom, classrooms, mountain, mountains, ground, grounds, north, norths, hall, halls, ocean, oceans, park, parks, planet, planets, property, properties, region, regions, residence, residences, river, rivers.',
            'NNQUANT': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: cycle, cycles, rate, rates, date, dates, second, seconds, frequency, frequencies, section, sections, future, futures, semester, semesters, half, halves, temperature, temperatures, height, heights, today, todays, number, numbers, amount, amounts, week, weeks, age, ages, day, days, century, centuries, part, parts, energy, energies, lot, lots, heat, heats, term, terms, hour, hours, time, times, month, months, mile, miles, period, periods, moment, moments, morning, mornings, volume, volumes, per, weekend, weekends, percentage, percentages, weight, weights, portion, portions, minute, minutes, quantity, quantities, percent, percents, quarter, quarters, length, lengths, ratio, ratios, measure, measures, summer, summers, meter, meters, volt, volts, voltage, voltages.',
            'NNTECH': 'Any of the following words tagged as noun and not having an additional tag apart from the underscore separated _TAG: cell, cells, unit, units, gene, genes, wave, waves, ion, ions, bacteria, bacterias, electron, electrons, chromosome, chromosomes, element, elements, cloud, clouds, sample, samples, isotope, isotopes, schedule, schedules, neuron, neurons, software, softwares, nuclei, nucleus, solution, solutions, nucleus, nuclei, atom, atoms, ray, rays, margin, margins, virus, viruses, mark, marks, hydrogen, hydrogens, mineral, minerals, internet, internets, molecule, molecules, mineral, minerals, organism, organisms, message, messages, oxygen, oxygens, paragraph, paragraphs, particle, particles, sentence, sentences, play, plays, star, stars, poem, poems, thesis, theses, proton, protons, unit, units, web, webs, layer, layers, center, centers, matter, matters, chapter, chapters, square, squares, data, circle, circles, equation, equations, compound, compounds, exam, exams, letter, letters, bill, bills, page, pages, component, components, statement, statements, diagram, diagrams, word, words, dna, angle, angles, fire, fires, carbon, carbons, formula, formulas, graph, graphs, iron, irons, lead, leads, jury, juries, light, lights, list, lists.',
            'NOMZ': 'Nouns ending at tion(s), ment(s), ness, nesses, ity, ities and having a length of greater than 5 characters and not having an additional tag apart from the _NN tag.',
            'NNP': 'Nouns tagged as NNP and NNPS by Stanford Tagger.',
            'NSTNCother': 'Any of the following words tagged as noun and not followed by prepositions IN tag: assertion, assertions, conclusion, conclusions, conviction, convictions, discovery, discoveries, doubt, doubts, fact, facts, knowledge, knowledges, observation, observations, principle, principles, realization, realizations, result, results, statement, statements, assumption, assumptions, belief, beliefs, claim, claims, contention, contentions, feeling, feelings, hypothesis, hypotheses, idea, ideas, implication, implications, impression, impressions, notion, notions, opinion, opinions, possibility, possibilities, presumption, presumptions, suggestion, suggestions, grounds, ground, hope, hopes, reason, reasons, view, views, thought, thoughts, comment, comments, news, news, proposal, proposals, proposition, propositions, remark, remarks, report, reports, requirement, requirements, agreement, agreements, decision, decisions, desire, desires, failure, failures, inclination, inclinations, intention, intentions, obligation, obligations, opportunity, opportunities, plan, plans, promise, promises, reluctance, reluctances, responsibility, responsibilities, right, rights, tendency, tendencies, threat, threats, wish, wishes, willingness, willingnesses.',
            'ThJATT': 'That complement clause (THSC) tag preceded by any of the following words tagged as adjective: afraid, amazed, (un)aware, concerned, disappointed, encouraged, glad, happy, hopeful, pleased, shocked, surprised, worried.',
            'ThJEVL': 'That complement clause (THSC) tag preceded by any of the following words tagged as adjective: amazing, appropriate, conceivable, crucial, essential, fortunate, imperative, inconceivable, incredible, interesting, lucky, necessary, nice, noteworthy, odd, ridiculous, strange, surprising, unacceptable, unfortunate.',
            'ThJFCT': 'That complement clause (THSC) tag preceded by any of the following words tagged as adjective: apparent, certain, clear, confident, convinced, correct, evident, false, impossible, inevitable, obvious, positive, right, sure, true, well-known.',
            'ThJLIK': 'That complement clause (THSC) tag preceded by any of the following words tagged as adjective: doubtful, likely, possible, probable, unlikely.',
            'ThNATT': 'That relative clause (THRC) tag preceded by any of the following words tagged as noun: grounds, ground, hope, hopes, reason, reasons, view, views, thought, thoughts.',
            'ThNFCT': 'That relative clause (THRC) tag preceded by any of the following words tagged as noun: assertion, assertions, conclusion, conclusions, conviction, convictions, discovery, discoveries, doubt, doubts, fact, facts, knowledge, knowledges, observation, observations, principle, principles, realization, realizations, result, results, statement, statements.',
            'ThNLIK': 'That relative clause (THRC) tag preceded by any of the following words tagged as noun: assumption, assumptions, belief, beliefs, claim, claims, contention, contentions, feeling, feelings, hypothesis, hypotheses, idea, ideas, implication, implications, impression, impressions, notion, notions, opinion, opinions, possibility, possibilities, presumption, presumptions, suggestion, suggestions.',
            'ThNNFCT': 'That relative clause (THRC) tag preceded by any of the following words tagged as noun: comment, comments, news, news, proposal, proposals, proposition, propositions, remark, remarks, report, reports, requirement, requirements.',
            'ThVATT': 'That complement clause (THSC) tag preceded by any of the following words tagged as verb: agreeing, agreed, agree, agrees, anticipates, anticipated, anticipate, anticipating, complain, complained, complaining, complains, conceded, concede, concedes, conceding, ensure, expecting, expect, expects, expected, fears, feared, fear, fearing, feel, feels, feeling, felt, forgetting, forgets, forgotten, forgot, forget, hoped, hope, hopes, hoping, minding, minded, minds, mind, preferred, prefer, preferring, prefers, pretending, pretend, pretended, pretends, requiring, required, requires, require, wishes, wished, wish, wishing, worry, worrying, worries, worried.',
            'ThVCOMM': 'That complement clause (THSC) tag preceded by any of the following words tagged as verb: say, says, saying, said, tell, tells, telling, told, call, calls, calling, called, ask, asks, asking, asked, write, writes, writing, wrote, written, talk, talks, talking, talked, speak, speaks, spoke, spoken, speaking, thank, thanks, thanking, thanked, describe, describing, describes, described, claim, claims, claiming, claimed, offer, offers, offering, offered, admit, admits, admitting, admitted, announce, announces, announcing, announced, answer, answers, answering, answered, argue, argues, arguing, argued, deny, denies, denying, denied, discuss, discusses, discussing, discussed, encourage, encourages, encouraging, encouraged, explain, explains, explaining, explained, express, expresses, expressing, expressed, insist, insists, insisting, insisted, mention, mentions, mentioning, mentioned, offer, offers, offering, offered, propose, proposes, proposing, proposed, quote, quotes, quoting, quoted, reply, replies, replying, replied, shout, shouts, shouting, shouted, sign, signs, signing, signed, sing, sings, singing, sang, sung, state, states, stating, stated, teach, teaches, teaching, taught, warn, warns, warning, warned, accuse, accuses, accusing, accused, acknowledge, acknowledges, acknowledging, acknowledged, address, addresses, addressing, addressed, advise, advises, advising, advised, appeal, appeals, appealing, appealed, assure, assures, assuring, assured, challenge, challenges, challenging, challenged, complain, complains, complaining, complained, consult, consults, consulting, consulted, convince, convinces, convincing, convinced, declare, declares, declaring, declared, demand, demands, demanding, demanded, emphasize, emphasizes, emphasizing, emphasized, emphasise, emphasises, emphasising, emphasised, excuse, excuses, excusing, excused, inform, informs, informing, informed, invite, invites, inviting, invited, persuade, persuades, persuading, persuaded, phone, phones, phoning, phoned, pray, prays, praying, prayed, promise, promises, promising, promised, question, questions, questioning, questioned, recommend, recommends, recommending, recommended, remark, remarks, remarking, remarked, respond, responds, responding, responded, specify, specifies, specifying, specified, swear, swears, swearing, swore, sworn, threaten, threatens, threatening, threatened, urge, urges, urging, urged, welcome, welcomes, welcoming, welcomed, whisper, whispers, whispering, whispered, suggest, suggests, suggesting, suggested, plead, pleads, pleaded, pleading, agree, agrees, agreed, agreeing, assert, asserts, asserting, asserted, beg, begs, begging, begged, confide, confides, confiding, confided, command, commands, commanding, commanded, disagree, disagreeing, disagrees, disagreed, object, objects, objected, objects, pledge, pledges, pledging, pledged, report, reports, reported, reporting, testify, testifies, testified, testifying, vow, vows, vowing, vowed, mean, means, meaning, meant.',
            'ThVFCT': 'That complement clause (THSC) tag preceded by any of the following words tagged as verb: concluding, conclude, concluded, concludes, demonstrates, demonstrating, demonstrated, demonstrate, determining, determines, determine, determined, discovered, discovers, discover, discovering, finds, finding, found, find, knows, known, knowing, know, knew, learn, learns, learning, learnt, means, meaning, meant, mean, notifies, notices, notice, noticed, notify, notifying, noticing, notified, observed, observes, observing, observe, proven, prove, proving, proved, proves, realized, realised, realizes, realises, realize, realise, realizing, realising, recognizes, recognises, recognize, recognise, recognized, recognised, recognizing, recognising, remembered, remember, remembers, remembering, sees, seen, saw, seeing, see, showing, shows, shown, showed, show, understand, understands, understanding, understood.',
            'ThVLIK': 'That complement clause (THSC) tag preceded by any of the following words tagged as verb: assumes, assumed, assuming, assume, believe, believing, believes, believed, doubting, doubted, doubts, doubt, gathers, gathering, gathered, gather, guessed, guess, guessing, guesses, hypothesised, hypothesise, hypothesises, hypothesising,  hypothesizing, hypothesized, hypothesize, hypothesizes, imagine, imagining, imagines, imagined, predict, predicted, predicting, predicts, presupposing, presupposes, presuppose, presupposed, presumes, presuming, presumed, presume, reckon, reckoning, reckoned, reckons, seemed, seems, seem, seeming, speculated, speculate, speculating, speculates, suppose, supposes, supposing, supposed, suspected, suspect, suspects, suspecting, think, thinks, thinking, thought.',
            'VATTother': 'Any word in the following list tagged as verb and (1) not followed by a _WHSC or _THSC tag or to_ (2) not having an additional tag apart from the usual underscore separated tag _TAG: agreeing, agreed, agree, agrees, anticipates, anticipated, anticipate, anticipating, complain, complained, complaining, complains, conceded, concede, concedes, conceding, ensure, expecting, expect, expects, expected, fears, feared, fear, fearing, feel, feels, feeling, felt, forgetting, forgets, forgotten, forgot, forget, hoped, hope, hopes, hoping, minding, minded, minds, mind, preferred, prefer, preferring, prefers, pretending, pretend, pretended, pretends, requiring, required, requires, require, wishes, wished, wish, wishing, worry, worrying, worries, worried.',
            'ToJABL': 'To immediately followed by a verb and preceded by any of the following words tagged as adjective: anxious, (un)able, careful, determined, eager, eligible, hesitant, inclined, obliged, prepared, ready, reluctant, (un)willing.',
            'ToJCRTN': 'To immediately followed by a verb and  preceded by any of the following words tagged as adjective: apt, certain, due, guaranteed, liable, likely, prone, unlikely, sure.',
            'ToJEASE': 'To immediately followed by a verb and preceded by any of the following words tagged as adjective: difficult, easier, easy, hard, (im)possible, tough.',
            'ToJEFCT': 'To immediately followed by a verb and preceded by any of the following words tagged as adjective: afraid, ashamed, disappointed, embarrassed, glad, happy, pleased, proud, puzzled, relieved, sorry, surprised, worried.',
            'ToJEVAL': 'To immediately followed by a verb and preceded by any of the following words tagged as adjective: bad, worse, (in)appropriate, good, better, best, convenient, essential, important, interesting, necessary, nice, reasonable, silly, smart, stupid, surprising, useful, useless, unreasonable, wise, wrong.',
            'ToVDSR': 'To and split infinitive clauses (cf. SPLIT above for explanation) preceded by any of the following words tagged as verb: agreeing, agreed, agree, agrees, chooses, chosen, choose, choosing, chose, decide, deciding, decided, decides, hate, hates, hating, hated, hesitated, hesitates, hesitate, hesitating, hoped, hope, hopes, hoping, intended, intend, intending, intends, likes, liked, like, liking, loving, loves, love, loved, means, meaning, meant, mean, needs, need, needing, needed, planning, plan, planned, plans, preferred, prefer, preferring, prefers, prepares, prepare, preparing, prepared, refuses, refusing, refuse, refused, wanting, want, wants, wanted, wishes, wished, wish, wishing.',
            'ToVEFRT': 'To and split infinitive clauses (cf. SPLIT above for explanation) preceded by any of the following words tagged as verb: allowance, allowing, allowed, allowancing, allow, allowances, allows, allowanced, attempting, attempted, attempts, attempt, enables, enabled, enabling, enable, encourages, encouraging, encouraged, encourage, fails, fail, failing, failed, help, helping, helps, helped, instructs, instructed, instruct, instructing, managing, managed, manage, manages, oblige, obligate, obliged, obligates, obliging, obligating, obliges, obligated, order, ordering, orders, ordered, permitted, permits, permit, permitting, persuaded, persuades, persuade, persuading, prompts, prompting, prompted, prompt, requiring, requisitions, requisitioning, required, requires, requisition, requisitioned, require, sought, seeking, seeks, seek, try, trying, tries, tried.',
            'ToVMNTL': 'To and split infinitive clauses (cf. SPLIT above for explanation) preceded by any of the following words tagged as verb: assumed, assumes, assume, assuming, believing, believes, believe, believed, considered, considers, consider, considering, expecting, expects, expected, expect, find, found, finding, finds, forgetting, forget, forgets, forgot, forgotten, imagine, imagined, imagining, imagines, judge, adjudicates, adjudicate, judges, judged, knowing, knows, known, know, knew, learnt, learning, learns, learn, presumes, presuming, presumed, presume, pretend, pretends, pretended, pretending, remembered, remember, remembers, remembering, supposing, suppose, supposes, supposed.',
            'ToVPROB': 'To and split infinitive clauses (cf. SPLIT above for explanation) preceded by any of the following words tagged as verb: appear, appeared, appears, appearing, happens, happened, happen, happening, seemed, seems, seem, seeming, tending, tends, tended, tend.',
            'ToVSPCH': 'To and split infinitive clauses (cf. SPLIT above for explanation) preceded by any of the following words tagged as verb: asks, ask, asking, asked, claiming, claims, claim, claimed, invite, inviting, invited, invites, promising, promised, promise, promises, reminding, remind, reminded, reminds, requesting, request, requests, requested, saying, say, said, says, teaches, teaching, taught, teach, tell, tells, telling, told, urging, urges, urged, urge, warning, warn, warned, warns.',
            'WhVATT': 'WHSC tag preceded by any of the following words tagged as verb: agreeing, agreed, agree, agrees, anticipates, anticipated, anticipate, anticipating, complain, complained, complaining, complains, conceded, concede, concedes, conceding, ensure, expecting, expect, expects, expected, fears, feared, fear, fearing, feel, feels, feeling, felt, forgetting, forgets, forgotten, forgot, forget, hoped, hope, hopes, hoping, minding, minded, minds, mind, preferred, prefer, preferring, prefers, pretending, pretend, pretended, pretends, requiring, required, requires, require, wishes, wished, wish, wishing, worry, worrying, worries, worried.',
            'WhVCOM': 'WHSC tag preceded by any of the following words tagged as verb: say, says, saying, said, tell, tells, telling, told, call, calls, calling, called, ask, asks, asking, asked, write, writes, writing, wrote, written, talk, talks, talking, talked, speak, speaks, spoke, spoken, speaking, thank, thanks, thanking, thanked, describe, describing, describes, described, claim, claims, claiming, claimed, offer, offers, offering, offered, admit, admits, admitting, admitted, announce, announces, announcing, announced, answer, answers, answering, answered, argue, argues, arguing, argued, deny, denies, denying, denied, discuss, discusses, discussing, discussed, encourage, encourages, encouraging, encouraged, explain, explains, explaining, explained, express, expresses, expressing, expressed, insist, insists, insisting, insisted, mention, mentions, mentioning, mentioned, offer, offers, offering, offered, propose, proposes, proposing, proposed, quote, quotes, quoting, quoted, reply, replies, replying, replied, shout, shouts, shouting, shouted, sign, signs, signing, signed, sing, sings, singing, sang, sung, state, states, stating, stated, teach, teaches, teaching, taught, warn, warns, warning, warned, accuse, accuses, accusing, accused, acknowledge, acknowledges, acknowledging, acknowledged, address, addresses, addressing, addressed, advise, advises, advising, advised, appeal, appeals, appealing, appealed, assure, assures, assuring, assured, challenge, challenges, challenging, challenged, complain, complains, complaining, complained, consult, consults, consulting, consulted, convince, convinces, convincing, convinced, declare, declares, declaring, declared, demand, demands, demanding, demanded, emphasize, emphasizes, emphasizing, emphasized, emphasise, emphasises, emphasising, emphasised, excuse, excuses, excusing, excused, inform, informs, informing, informed, invite, invites, inviting, invited, persuade, persuades, persuading, persuaded, phone, phones, phoning, phoned, pray, prays, praying, prayed, promise, promises, promising, promised, question, questions, questioning, questioned, recommend, recommends, recommending, recommended, remark, remarks, remarking, remarked, respond, responds, responding, responded, specify, specifies, specifying, specified, swear, swears, swearing, swore, sworn, threaten, threatens, threatening, threatened, urge, urges, urging, urged, welcome, welcomes, welcoming, welcomed, whisper, whispers, whispering, whispered, suggest, suggests, suggesting, suggested, plead, pleads, pleaded, pleading, agree, agrees, agreed, agreeing, assert, asserts, asserting, asserted, beg, begs, begging, begged, confide, confides, confiding, confided, command, commands, commanding, commanded, disagree, disagreeing, disagrees, disagreed, object, objects, objected, objects, pledge, pledges, pledging, pledged, report, reports, reported, reporting, testify, testifies, testified, testifying, vow, vows, vowing, vowed, mean, means, meaning, meant.',
            'WhVFCT': 'WHSC tag preceded by any of the following words tagged as verb: concluding, conclude, concluded, concludes, demonstrates, demonstrating, demonstrated, demonstrate, determining, determines, determine, determined, discovered, discovers, discover, discovering, finds, finding, found, find, knows, known, knowing, know, knew, learn, learns, learning, learnt, means, meaning, meant, mean, notifies, notices, notice, noticed, notify, notifying, noticing, notified, observed, observes, observing, observe, proven, prove, proving, proved, proves, realized, realised, realizes, realises, realize, realise, realizing, realising, recognizes, recognises, recognize, recognise, recognized, recognised, recognizing, recognising, remembered, remember, remembers, remembering, sees, seen, saw, seeing, see, showing, shows, shown, showed, show, understand, understands, understanding, understood.',
            'WhVLIK': 'WHSC tag preceded by any of the following words tagged as verb: assumes, assumed, assuming, assume, believe, believing, believes, believed, doubting, doubted, doubts, doubt, gathers, gathering, gathered, gather, guessed, guess, guessing, guesses, hypothesised, hypothesise, hypothesises, hypothesising,  hypothesizing, hypothesized, hypothesize, hypothesizes, imagine, imagining, imagines, imagined, predict, predicted, predicting, predicts, presupposing, presupposes, presuppose, presupposed, presumes, presuming, presumed, presume, reckon, reckoning, reckoned, reckons, seemed, seems, seem, seeming, speculated, speculate, speculating, speculates, suppose, supposes, supposing, supposed, suspected, suspect, suspects, suspecting, think, thinks, thinking, thought.',
            'ToNSTNC': 'To immediately followed by a verb and preceded by any of the following words tagged as noun: agreement, agreements, decision, decisions, desire, desires, failure, failures, inclination, inclinations, intention, intentions, obligation, obligations, opportunity, opportunities, plan, plans, promise, promises, proposal, proposals, reluctance, reluctances, responsibility, responsibilities, right, rights, tendency, tendencies, threat, threats, wish, wishes, willingness, willingnesses.',
            'PrepNSTNC': 'Prepositions IN tag preceded by any of the following words tagged as noun: assertion, assertions, conclusion, conclusions, conviction, convictions, discovery, discoveries, doubt, doubts, fact, facts, knowledge, knowledges, observation, observations, principle, principles, realization, realizations, result, results, statement, statements, assumption, assumptions, belief, beliefs, claim, claims, contention, contentions, feeling, feelings, hypothesis, hypotheses, idea, ideas, implication, implications, impression, impressions, notion, notions, opinion, opinions, possibility, possibilities, presumption, presumptions, suggestion, suggestions, grounds, ground, hope, hopes, reason, reasons, view, views, thought, thoughts, comment, comments, news, news, proposal, proposals, proposition, propositions, remark, remarks, report, reports, requirement, requirements, agreement, agreements, decision, decisions, desire, desires, failure, failures, inclination, inclinations, intention, intentions, obligation, obligations, opportunity, opportunities, plan, plans, promise, promises, reluctance, reluctances, responsibility, responsibilities, right, rights, tendency, tendencies, threat, threats, wish, wishes, willingness, willingnesses.',
            'ACT': 'Assigned to all forms of the verbs: buy, make, give, take, come, use, leave, show, try, work, move, follow, put, pay, bring, meet, play, run, hold, turn, send, sit, wait, walk, carry, lose, eat, watch, reach, add, produce, provide, pick, wear, open, win, catch, pass, shake, smile, stare, sell, spend, apply, form, obtain, arrange, beat, check, cover, divide, earn, extend, fix, hang, join, lie, obtain, pull, repeat, receive, save, share, smile, throw, visit, accompany, acquire, advance, behave, borrow, burn, clean, climb, combine, control, defend, deliver, dig, encounter, engage, exercise, expand, explore and reduce (cf. Biber 2006: 246, based on the LGSWE, pp. 361–362, 367–368, 370). Do is only included when it has not previously been tagged as an auxiliary (DOAUX). Get and go were removed from Biber’s (2006) list due to their high polysemy. Like Biber (2006), for practical reasons, no phrasal verbs were included in this variable.',
            'ASPECT': 'Following Biber (2006: 247, based on the LGSWE, pp. 364, 369, 371), assigned to all forms of the verbs: start, keep, stop, begin, complete, end, finish, cease and continue.',
            'CAUSE': 'Following Biber (2006: 247, based on the LGSWE, pp. 363, 369, 370), assigned to all forms of the verbs: help, let, allow, affect, cause, enable, ensure, force, prevent, assist, guarantee, influence, permit and require.',
            'COMM': "Following Biber (2006: 247, based on the LGSWE, pp. 362, 368, 370), assigned to all forms of the verbs: say, tell, call, ask, write, talk, speak, thank, describe, claim, offer, admit, announce, answer, argue, deny, discuss, encourage, explain, express, insist, mention, offer, propose, quote, reply, shout, sign, sing, state, teach, warn, accuse, acknowledge, address, advise, appeal, assure, challenge, complain, consult, convince, declare, demand, emphasize, excuse, inform, invite, persuade, phone, pray, promise, question, recommend, remark, respond, specify, swear, threaten, urge, welcome, whisper and suggest. British spellings and the verbs agree, assert, beg, confide, command, disagree, object, pledge, pronounce, plead, report, testify, vow and mean were added. The latter was on Biber's (2006) list for mental verbs but, in most contexts encountered in the present study, it was found to be more likely to be a communication verb.",
            'EXIST': 'Following Biber (2006: 247, based on the LGSWE, pp. 364, 369, 370–371), assigned to all forms of the verbs: seem, stand, stay, live, appear, include, involve, contain, exist, indicate, concern, constitute, define, derive, illustrate, imply, lack, owe, own, possess, suit, vary, deserve, fit, matter, reflect, relate, remain, reveal, sound, tend and represent. This variable does not include the copular be. Look was removed from Biber’s original list because it frequently acts as an activity verb, too, e.g., I was looking for my glasses.',
            'MENTAL': "Following Biber (2006: 246-247, based on the LGSWE, pp. 362–363, 368–369, 370), assigned to all forms of the verbs: see, know, think, want, need (unless identified as a necessity modal; cf. MDNE), feel, like, hear, remember, believe, read, consider, suppose, listen, love, wonder, understand, expect, hope, assume, determine, agree, bear, care, choose, compare, decide, discover, doubt, enjoy, examine, face, forget, hate, identify, imagine, intend, learn, mind, miss, notice, plan, prefer, prove, realize, recall, recognize, regard, suffer, wish, worry, accept, appreciate, approve, assess, blame, bother, calculate, conclude, celebrate, confirm, count, dare, detect, dismiss, distinguish, experience, fear, forgive, guess, ignore, impress, interpret, judge, justify, observe, perceive, predict, pretend, reckon, remind, satisfy, solve, study, suspect and trust. British spellings were added. Afford and find, which can be found on Biber's original list, were removed for being too polysemous. Note that the phrase dunno, which is incorrectly parsed by the Stanford Tagger, was also retagged as du_VPRT n_XX0 no_VB and that no_VB tokens are also assigned to this category.",
            'OCCUR': 'Following Biber (2006: 247, based on the LGSWE pp. 364, 369, 370), assigned to all forms of the verbs: become, happen, change, die, grow, develop, arise, emerge, fall, increase, last, rise, disappear, flow, shine, sink, slip and occur.',
            'VCOMMother': 'Any word in the following list tagged as verb and (1) not followed by a _WHSC or _THSC tag or to_ (2) not having an additional tag apart from the usual underscore separated tag _TAG: say, says, saying, said, tell, tells, telling, told, call, calls, calling, called, ask, asks, asking, asked, write, writes, writing, wrote, written, talk, talks, talking, talked, speak, speaks, spoke, spoken, speaking, thank, thanks, thanking, thanked, describe, describing, describes, described, claim, claims, claiming, claimed, offer, offers, offering, offered, admit, admits, admitting, admitted, announce, announces, announcing, announced, answer, answers, answering, answered, argue, argues, arguing, argued, deny, denies, denying, denied, discuss, discusses, discussing, discussed, encourage, encourages, encouraging, encouraged, explain, explains, explaining, explained, express, expresses, expressing, expressed, insist, insists, insisting, insisted, mention, mentions, mentioning, mentioned, offer, offers, offering, offered, propose, proposes, proposing, proposed, quote, quotes, quoting, quoted, reply, replies, replying, replied, shout, shouts, shouting, shouted, sign, signs, signing, signed, sing, sings, singing, sang, sung, state, states, stating, stated, teach, teaches, teaching, taught, warn, warns, warning, warned, accuse, accuses, accusing, accused, acknowledge, acknowledges, acknowledging, acknowledged, address, addresses, addressing, addressed, advise, advises, advising, advised, appeal, appeals, appealing, appealed, assure, assures, assuring, assured, challenge, challenges, challenging, challenged, complain, complains, complaining, complained, consult, consults, consulting, consulted, convince, convinces, convincing, convinced, declare, declares, declaring, declared, demand, demands, demanding, demanded, emphasize, emphasizes, emphasizing, emphasized, emphasise, emphasises, emphasising, emphasised, excuse, excuses, excusing, excused, inform, informs, informing, informed, invite, invites, inviting, invited, persuade, persuades, persuading, persuaded, phone, phones, phoning, phoned, pray, prays, praying, prayed, promise, promises, promising, promised, question, questions, questioning, questioned, recommend, recommends, recommending, recommended, remark, remarks, remarking, remarked, respond, responds, responding, responded, specify, specifies, specifying, specified, swear, swears, swearing, swore, sworn, threaten, threatens, threatening, threatened, urge, urges, urging, urged, welcome, welcomes, welcoming, welcomed, whisper, whispers, whispering, whispered, suggest, suggests, suggesting, suggested, plead, pleads, pleaded, pleading, agree, agrees, agreed, agreeing, assert, asserts, asserting, asserted, beg, begs, begging, begged, confide, confides, confiding, confided, command, commands, commanding, commanded, disagree, disagreeing, disagrees, disagreed, object, objects, objected, objects, pledge, pledges, pledging, pledged, report, reports, reported, reporting, testify, testifies, testified, testifying, vow, vows, vowing, vowed, mean, means, meaning, meant.',
            'VFCTother': 'Any word in the following list tagged as verb and (1) not followed by a _WHSC or _THSC tag or to_ (2) not having an additional tag apart from the usual underscore separated tag _TAG: concluding, conclude, concluded, concludes, demonstrates, demonstrating, demonstrated, demonstrate, determining, determines, determine, determined, discovered, discovers, discover, discovering, finds, finding, found, find, knows, known, knowing, know, knew, learn, learns, learning, learnt, means, meaning, meant, mean, notifies, notices, notice, noticed, notify, notifying, noticing, notified, observed, observes, observing, observe, proven, prove, proving, proved, proves, realized, realizes, realize, realizing, recognizes, recognize, recognized, recognizing, realised, realises, realise, realising, recognises, recognise, recognised, recognising, remembered, remember, remembers, remembering, sees, seen, saw, seeing, see, showing, shows, shown, showed, show, understand, understands, understanding, understood.',
            'VLIKother': 'Any word in the following list tagged as verb and (1) not followed by a _WHSC or _THSC tag or to_ (2) not having an additional tag apart from the usual underscore separated tag _TAG: assumes, assumed, assuming, assume, believe, believing, believes, believed, doubting, doubted, doubts, doubt, gathers, gathering, gathered, gather, guessed, guess, guessing, guesses, hypothesising, hypothesised, hypothesise, hypothesises, hypothesizing, hypothesized, hypothesize, hypothesizes, imagine, imagining, imagines, imagined, predict, predicted, predicting, predicts, presupposing, presupposes, presuppose, presupposed, presumes, presuming, presumed, presume, reckon, reckoning, reckoned, reckons, seemed, seems, seem, seeming, speculated, speculate, speculating, speculates, suppose, supposes, supposing, supposed, suspected, suspect, suspects, suspecting, think, thinks, thinking, thought.',
            'PP1': "All words tagged as PP1P and PP1S. This is the equivalent to Biber's FPP1 feature.",
            'PP3': "All words tagged as PP3m, PP3f or PP3t. This is the equivalent to Biber's TPP3 feature.",
            'MDPOSSCall': 'Any word tagged as MDCA, MDCO, MDMM.',
            'MDPREDall': 'Any word tagged as MDWS, MDWO, GTO.',
            'PASSall': 'Any word tagged as PASS, PGET.',
            'RSTNCall': 'Any word tagged as RATT, RNONFACT, RFACT, RLIKELY.',
            'ThJSTNCall': 'Any word tagged as ThJATT, ThJFCT, ThJLIK, ThJEVL.',
            'ThNSTNCall': 'Any word tagged as ThNNFCT, ThNATT, ThNFCT, ThNLIK.',
            'ThSTNCall': 'Any word tagged as ThVCOMM, ThVATT, ThVFCT, ThVLIK, ThJATT, ThJFCT, ThJLIK, ThJEVL, ThNNFCT, ThNATT, ThNFCT, ThNLIK.',
            'ThVSTNCall': 'Any word tagged as ThVCOMM, ThVATT, ThVFCT, ThVLIK.',
            'ToJSTNCall': 'Any word tagged as ToJCRTN, ToJABL, ToJEFCT, ToJEASE, ToJEVAL.',
            'ToSTNCall': 'Any word tagged as ToVDSR, ToVEFRT, ToVPROB, ToVSPCH, ToVMNTL, ToJCRTN, ToJABL, ToJEFCT, ToJEASE, ToJEVAL, ToNSTNC.',
            'ToVSTNCall': 'Any word tagged as ToVDSR, ToVEFRT, ToVPROB, ToVSPCH, ToVMNTL.',
            'WhVSTNCall': 'Any word tagged as WhVATT, WhVFCT, WhVLIK, WhVCOM.',
            'INother': 'Any word tagged as _IN and having no additional semantic tag separated by a space. Use this tag instead of IN when you are also using PrePNSTNC.',
            'JJATother': 'Any word tagged as _JJAT and having no additional semantic tag separated by a space. Use this tag instead of JJAT when you are using semantic sub classes of adjectives like JJEVAL.',
            'JJPRother': 'Any word tagged as _JJPR and having no additional semantic tag separated by a space. Use this tag instead of JJPR when you are using semantic sub classes of adjectives like JJEVAL.',
            'NNother': 'Any word tagged as _NN and having no additional semantic tag separated by a space. Use this tag instead of NN when you are using semantic sub classes of nouns like NNABSPROC.',
            'RBother': 'Any word tagged as _RB and having no additional semantic tag separated by a space. Use this tag instead of RB when you are using semantic sub classes of adjectives like RNONFACT.',
            'THRCother': 'Any word tagged as _THRC and having no additional semantic tag separated by a space. Use this tag instead of THRC when you are using tags starting with ThN.* (sub classes of that relative clauses).',
            'THSCother': 'Any word tagged as _THSC and having no additional semantic tag separated by a space. Use this tag instead of THSC when you are using ThVCOMM and other semantic sub classes of that complement clauses preceded by verbs and adjectives.',
            'WHSCother': 'Any word tagged as _WHSC and having no additional semantic tag separated by a space. Use this tag instead of WHSC when you are using WhVCOM and other semantic sub classes of WH complement clauses preceded by verbs.',
            'FW': "All remaining words tagged by the Stanford Tagger as foreign words and not identified as other variables by the MFTE. Frequently includes words spelt with non-standard spellings, missing apostrophes, and poorly OCR'ed due to unusual fonts. Note that this feature is not counted by the MFTE.",
            'SYM': "All remaining non alphanumeric tokens tagged by the Stanford Tagger as symbols (SYM) or list markers (LS) and not identified as other variables by the MFTE. Also frequently includes words poorly OCR'ed due to unusual fonts or poorly encoded text. Note that this feature is not counted by the MFTE.",
            'TO': 'Following Nini (2014: 21), all occurrences of to except when followed by another _IN token, a number (CD), determiner (DT), adjective (J.*), possessive pronoun (PRPS), WH-word (WPS, WDT, WP, WRB), pre-determiner (PDT), noun (N.*) or pronoun (PRP). Note that, unlike Nini (2014), this feature is only used to identify other linguistic features. All occurrences of to are counted as prepositions (IN) in the MFTE output tables.',
            'VB': 'As tagged by the Stanford Tagger, except those identified as imperatives (VIMP). This feature is not included in the tables of counts outputted by the MFTE because it overlaps with other features (e.g., all the modal verb features). However, it is used to identify many other linguistic features.',
            'WQ': 'This tag is necessary to ensure that question marks are not inadvertedly counted as both yes/no questions and WH-questions. It should not be counted given that it should almost exactly overlap with the WHQU tags, which are the ones that are counted to measure the frequency of WH-questions.',
            'BEAUX': 'This feature is only tagged to be able to count occurrences of BE as a main verb by exclusion. It is not counted so as not to generate linguistically obvious correlations with features such as GTO, PASS, JJPR and other features that always or extremely frequently rely on the presence of BE as an auxilliary verb.',
            'LIKE': 'Occurrences of like tagged as a preposition (IN) or adjective (JJ) by the Stanford Tagger are assigned this tag because, in spoken English, like typically fulfils a range of different functions, e.g., fillers and softeners, and attempts to disambiguate like as a preposition or conjunct proved too error-prone. This category excludes occurrences of like identified as the quotative BE + like (QLIKE) if the QLIKE feature is included (which, by default, it is not, cf. tagger evaluation).',
            'SO': 'Occurrences of so tagged as IN by the Stanford Tagger and not previously identified as an emphatic (so + J.*/much/many/little; EMPH).'},
        'NormalizationUnit': {'Words': '',
                              'AWL': 'Words',
                              'TTR': 'Words (by default first 400)',
                              'LDE': 'Words',
                              'FV': '',
                              'JJAT': 'Nouns',
                              'JJPR': 'Finite verbs',
                              'FREQ': 'Finite verbs',
                              'PLACE': 'Finite verbs',
                              'TIME': 'Finite verbs',
                              'RB': 'Words',
                              'POS': 'Nouns',
                              'DT': 'Nouns',
                              'QUAN': 'Nouns',
                              'CD': 'Words',
                              'DEMO': 'Words',
                              'ELAB': 'Finite verbs',
                              'CC': 'Finite verbs',
                              'CUZ': 'Finite verbs',
                              'CONC': 'Finite verbs',
                              'COND': 'Finite verbs',
                              'DMA': 'Words',
                              'FPUH': 'Words',
                              'WHQU': 'Finite verbs',
                              'QUTAG': 'Finite verbs',
                              'YNQU': 'Finite verbs',
                              'THRC': 'Finite verbs',
                              'THSC': 'Finite verbs',
                              'THATD': 'Finite verbs',
                              'WHSC': 'Finite verbs',
                              'NN': 'Words',
                              'NCOMP': 'Nouns',
                              'EMO': 'Words',
                              'HST': 'Words',
                              'URL': 'Words',
                              'NNMention': 'Words',
                              'XX0': 'Finite verbs',
                              'IN': 'Words',
                              'PP1S': 'Finite verbs',
                              'PP1P': 'Finite verbs',
                              'PP2': 'Finite verbs',
                              'PIT': 'Finite verbs',
                              'PPother': 'Finite verbs',
                              'PP3m': 'Finite verbs',
                              'PP3f': 'Finite verbs',
                              'TPP3t': 'Finite verbs',
                              'QUPR': 'Finite verbs',
                              'POLITE': 'Words',
                              'AMP': 'Words',
                              'DWNT': 'Words',
                              'EMPH': 'Words',
                              'HDG': 'Words',
                              'EX': 'Finite verbs',
                              'BEMA': 'Finite verbs',
                              'SPLIT': 'Finite verbs',
                              'STPR': 'Finite verbs',
                              'CONT': 'Finite verbs',
                              'RP': 'Finite verbs',
                              'PASS': 'Finite verbs',
                              'PGET': 'Finite verbs',
                              'GTO': 'Finite verbs',
                              'VBD': 'Finite verbs',
                              'VBG': 'Finite verbs',
                              'VBN': 'Finite verbs',
                              'VIMP': 'Finite verbs',
                              'VPRT': 'Finite verbs',
                              'PEAS': 'Finite verbs',
                              'PROG': 'Finite verbs',
                              'HGOT': 'Finite verbs',
                              'DOAUX': 'Finite verbs',
                              'MDNE': 'Finite verbs',
                              'MDCA': 'Finite verbs',
                              'MDCO': 'Finite verbs',
                              'MDMM': 'Finite verbs',
                              'MDWS': 'Finite verbs',
                              'MDWO': 'Finite verbs',
                              'ABLE': 'Finite verbs',
                              'JJATDother': 'Nouns',
                              'JJCOLR': 'Nouns',
                              'JJEPSTother': 'Nouns',
                              'JJEVAL': 'Nouns',
                              'JJREL': 'Nouns',
                              'JJSIZE': 'Nouns',
                              'JJTIME': 'Nouns',
                              'JJTOPIC': 'Nouns',
                              'RATT': 'Words',
                              'RFACT': 'Words',
                              'RLIKELY': 'Words',
                              'RNONFACT': 'Words',
                              'SUPER': 'Words',
                              'COMPAR': 'Words',
                              'NNABSPROC': 'Nouns',
                              'NNCOG': 'Nouns',
                              'NNCONC': 'Nouns',
                              'NNGRP': 'Nouns',
                              'NNHUMAN': 'Nouns',
                              'NNPLACE': 'Nouns',
                              'NNQUANT': 'Nouns',
                              'NNTECH': 'Nouns',
                              'NOMZ': 'Nouns',
                              'NNP': 'Nouns',
                              'NSTNCother': 'Nouns',
                              'ThJATT': 'Finite verbs',
                              'ThJEVL': 'Finite verbs',
                              'ThJFCT': 'Finite verbs',
                              'ThJLIK': 'Finite verbs',
                              'ThNATT': 'Nouns',
                              'ThNFCT': 'Nouns',
                              'ThNLIK': 'Nouns',
                              'ThNNFCT': 'Nouns',
                              'ThVATT': 'Finite verbs',
                              'ThVCOMM': 'Finite verbs',
                              'ThVFCT': 'Finite verbs',
                              'ThVLIK': 'Finite verbs',
                              'VATTother': 'Finite verbs',
                              'ToJABL': 'Words',
                              'ToJCRTN': 'Words',
                              'ToJEASE': 'Words',
                              'ToJEFCT': 'Words',
                              'ToJEVAL': 'Words',
                              'ToVDSR': 'Finite verbs',
                              'ToVEFRT': 'Finite verbs',
                              'ToVMNTL': 'Finite verbs',
                              'ToVPROB': 'Finite verbs',
                              'ToVSPCH': 'Finite verbs',
                              'WhVATT': 'Finite verbs',
                              'WhVCOM': 'Finite verbs',
                              'WhVFCT': 'Finite verbs',
                              'WhVLIK': 'Finite verbs',
                              'ToNSTNC': 'Nouns',
                              'PrepNSTNC': 'Nouns',
                              'ACT': 'Finite verbs',
                              'ASPECT': 'Finite verbs',
                              'CAUSE': 'Finite verbs',
                              'COMM': 'Finite verbs',
                              'EXIST': 'Finite verbs',
                              'MENTAL': 'Finite verbs',
                              'OCCUR': 'Finite verbs',
                              'VCOMMother': 'Finite verbs',
                              'VFCTother': 'Finite verbs',
                              'VLIKother': 'Finite verbs',
                              'PP1': 'Finite verbs',
                              'PP3': 'Finite verbs',
                              'MDPOSSCall': 'Finite verbs',
                              'MDPREDall': 'Finite verbs',
                              'PASSall': 'Finite verbs',
                              'RSTNCall': 'Words',
                              'ThJSTNCall': 'Finite verbs',
                              'ThNSTNCall': 'Finite verbs',
                              'ThSTNCall': 'Words',
                              'ThVSTNCall': 'Finite verbs',
                              'ToJSTNCall': 'Words',
                              'ToSTNCall': 'Words',
                              'ToVSTNCall': 'Finite verbs',
                              'WhVSTNCall': 'Finite verbs',
                              'INother': 'Words',
                              'JJATother': 'Nouns',
                              'JJPRother': 'Finite verbs',
                              'NNother': 'Words',
                              'RBother': 'Words',
                              'THRCother': 'Finite verbs',
                              'THSCother': 'Finite verbs',
                              'WHSCother': 'Finite verbs',
                              'FW': '',
                              'SYM': '',
                              'TO': '',
                              'VB': '',
                              'WQ': '',
                              'BEAUX': '',
                              'LIKE': 'Words',
                              'SO': 'Words'}})
